#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//106
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//109
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//111
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//115
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//121
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//123
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//125
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//135
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//151
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForActiveQtModule", 29, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForCoreModule", 29, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForDBusModule", 29, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForDeclarativeModule", 29, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForGuiModule", 29, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForHelpModule", 29, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForMultimediaModule", 29, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QtValidLicenseForNetworkModule", 29, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QtValidLicenseForOpenGLModule", 29, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QtValidLicenseForOpenVGModule", 29, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QtValidLicenseForQt3SupportLightModule", 29, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QtValidLicenseForQt3SupportModule", 29, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QtValidLicenseForScriptModule", 29, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QtValidLicenseForScriptToolsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QtValidLicenseForSqlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QtValidLicenseForSvgModule", 29, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QtValidLicenseForTestModule", 29, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QtValidLicenseForXmlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QtValidLicenseForXmlPatternsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//252
    { "_LIB_VERSION_TYPE", 29, Smoke::t_enum|Smoke::tf_stack },	//253
    { "__codecvt_result", 29, Smoke::t_enum|Smoke::tf_stack },	//254
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//255
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//256
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//257
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//258
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//260
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//294
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//296
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//301
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//302
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//304
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//306
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//309
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//315
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//324
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//332
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//333
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//334
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//335
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//336
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//337
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//338
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//339
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//340
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//341
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//342
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//343
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//344
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//345
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//346
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//347
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//348
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//349
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//350
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//351
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//352
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//353
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//354
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//355
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//356
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//357
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    266, 0,	//1  const QDomAttr&
    307, 0,	//3  const QString&
    267, 0,	//5  const QDomCDATASection&
    268, 0,	//7  const QDomCharacterData&
    350, 350, 0,	//9  unsigned long, unsigned long
    350, 307, 0,	//12  unsigned long, const QString&
    350, 350, 307, 0,	//15  unsigned long, unsigned long, const QString&
    269, 0,	//19  const QDomComment&
    272, 0,	//21  const QDomDocumentType&
    270, 0,	//23  const QDomDocument&
    307, 307, 0,	//25  const QString&, const QString&
    278, 255, 0,	//28  const QDomNode&, bool
    261, 255, 124, 340, 340, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    307, 255, 124, 340, 340, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 255, 124, 340, 340, 0,	//43  QIODevice*, bool, QString*, int*, int*
    150, 255, 124, 340, 340, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    261, 124, 340, 340, 0,	//55  const QByteArray&, QString*, int*, int*
    307, 124, 340, 340, 0,	//60  const QString&, QString*, int*, int*
    104, 124, 340, 340, 0,	//65  QIODevice*, QString*, int*, int*
    150, 156, 124, 340, 340, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    338, 0,	//76  int
    261, 255, 0,	//78  const QByteArray&, bool
    261, 255, 124, 0,	//81  const QByteArray&, bool, QString*
    261, 255, 124, 340, 0,	//85  const QByteArray&, bool, QString*, int*
    307, 255, 0,	//90  const QString&, bool
    307, 255, 124, 0,	//93  const QString&, bool, QString*
    307, 255, 124, 340, 0,	//97  const QString&, bool, QString*, int*
    104, 255, 0,	//102  QIODevice*, bool
    104, 255, 124, 0,	//105  QIODevice*, bool, QString*
    104, 255, 124, 340, 0,	//109  QIODevice*, bool, QString*, int*
    150, 255, 0,	//114  QXmlInputSource*, bool
    150, 255, 124, 0,	//117  QXmlInputSource*, bool, QString*
    150, 255, 124, 340, 0,	//121  QXmlInputSource*, bool, QString*, int*
    261, 0,	//126  const QByteArray&
    261, 124, 0,	//128  const QByteArray&, QString*
    261, 124, 340, 0,	//131  const QByteArray&, QString*, int*
    307, 124, 0,	//135  const QString&, QString*
    307, 124, 340, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 124, 0,	//144  QIODevice*, QString*
    104, 124, 340, 0,	//147  QIODevice*, QString*, int*
    150, 156, 0,	//151  QXmlInputSource*, QXmlReader*
    150, 156, 124, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    150, 156, 124, 340, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    271, 0,	//163  const QDomDocumentFragment&
    273, 0,	//165  const QDomElement&
    307, 343, 0,	//167  const QString&, long long
    307, 351, 0,	//170  const QString&, unsigned long long
    307, 338, 0,	//173  const QString&, int
    307, 349, 0,	//176  const QString&, unsigned int
    307, 337, 0,	//179  const QString&, float
    307, 336, 0,	//182  const QString&, double
    306, 307, 307, 0,	//185  const QString, const QString&, const QString&
    306, 307, 338, 0,	//189  const QString, const QString&, int
    306, 307, 349, 0,	//193  const QString, const QString&, unsigned int
    306, 307, 343, 0,	//197  const QString, const QString&, long long
    306, 307, 351, 0,	//201  const QString, const QString&, unsigned long long
    306, 307, 336, 0,	//205  const QString, const QString&, double
    306, 307, 0,	//209  const QString, const QString&
    274, 0,	//212  const QDomEntity&
    275, 0,	//214  const QDomEntityReference&
    276, 0,	//216  const QDomImplementation&
    307, 307, 307, 0,	//218  const QString&, const QString&, const QString&
    307, 307, 272, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    277, 0,	//228  const QDomNamedNodeMap&
    278, 0,	//230  const QDomNode&
    278, 278, 0,	//232  const QDomNode&, const QDomNode&
    255, 0,	//235  bool
    132, 338, 0,	//237  QTextStream&, int
    132, 338, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    279, 0,	//246  const QDomNodeList&
    280, 0,	//248  const QDomNotation&
    281, 0,	//250  const QDomProcessingInstruction&
    282, 0,	//252  const QDomText&
    310, 310, 0,	//254  const QStringRef&, const QStringRef&
    351, 0,	//257  unsigned long long
    336, 0,	//259  double
    131, 338, 0,	//261  QTextCodec::ConversionFlag, int
    190, 338, 0,	//264  Qt::ImageConversionFlag, int
    332, 349, 0,	//267  const char*, unsigned int
    356, 335, 346, 0,	//270  void*, const void*, size_t
    13, 81, 0,	//274  QDebug, QFlags<QIODevice::OpenModeFlag>
    310, 307, 0,	//277  const QStringRef&, const QString&
    303, 303, 0,	//280  const QSize&, const QSize&
    332, 261, 0,	//283  const char*, const QByteArray&
    74, 80, 0,	//286  QFile::Permission, QFlags<QFile::Permission>
    297, 297, 0,	//289  const QPointF&, const QPointF&
    336, 336, 0,	//292  double, double
    10, 121, 0,	//295  QDataStream&, QSizeF&
    261, 332, 0,	//298  const QByteArray&, const char*
    337, 0,	//301  float
    332, 0,	//303  const char*
    345, 0,	//305  signed char
    307, 310, 0,	//307  const QString&, const QStringRef&
    8, 0,	//310  QChar
    310, 285, 0,	//312  const QStringRef&, const QLatin1String&
    8, 8, 0,	//315  QChar, QChar
    223, 223, 0,	//318  Qt::TouchPointState, Qt::TouchPointState
    312, 0,	//321  const QUrl&
    13, 312, 0,	//323  QDebug, const QUrl&
    125, 307, 0,	//326  QString::Null, const QString&
    220, 220, 0,	//329  Qt::ToolBarArea, Qt::ToolBarArea
    332, 332, 0,	//332  const char*, const char*
    112, 112, 0,	//335  QLocale::NumberOption, QLocale::NumberOption
    230, 230, 0,	//338  Qt::WindowType, Qt::WindowType
    336, 305, 0,	//341  double, const QSizeF&
    14, 338, 0,	//344  QDir::Filter, int
    132, 278, 0,	//347  QTextStream&, const QDomNode&
    295, 295, 0,	//350  const QPoint&, const QPoint&
    10, 299, 0,	//353  QDataStream&, const QRectF&
    198, 338, 0,	//356  Qt::KeyboardModifier, int
    217, 99, 0,	//359  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    257, 0,	//362  char
    134, 86, 0,	//364  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    13, 289, 0,	//367  QDebug, const QMargins&
    138, 338, 0,	//370  QUrl::FormattingOption, int
    74, 338, 0,	//373  QFile::Permission, int
    295, 336, 0,	//376  const QPoint&, double
    16, 78, 0,	//379  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    305, 305, 0,	//382  const QSizeF&, const QSizeF&
    13, 297, 0,	//385  QDebug, const QPointF&
    342, 338, 340, 340, 0,	//388  long double, int, int*, int*
    198, 95, 0,	//393  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    13, 287, 0,	//396  QDebug, const QLineF&
    13, 264, 0,	//399  QDebug, const QDateTime&
    138, 138, 0,	//402  QUrl::FormattingOption, QUrl::FormattingOption
    223, 101, 0,	//405  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    190, 190, 0,	//408  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    112, 338, 0,	//411  QLocale::NumberOption, int
    333, 338, 0,	//414  const unsigned char*, int
    332, 332, 349, 0,	//417  const char*, const char*, unsigned int
    285, 310, 0,	//421  const QLatin1String&, const QStringRef&
    181, 181, 0,	//424  Qt::DropAction, Qt::DropAction
    13, 295, 0,	//427  QDebug, const QPoint&
    10, 111, 0,	//430  QDataStream&, QLocale&
    307, 8, 0,	//433  const QString&, QChar
    125, 125, 0,	//436  QString::Null, QString::Null
    333, 348, 338, 0,	//439  const unsigned char*, unsigned char*, int
    131, 131, 0,	//443  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    205, 205, 0,	//446  Qt::Orientation, Qt::Orientation
    356, 346, 346, 346, 0,	//449  void*, size_t, size_t, size_t
    349, 0,	//454  unsigned int
    220, 100, 0,	//456  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    298, 298, 0,	//459  const QRect&, const QRect&
    73, 79, 0,	//462  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    259, 259, 0,	//465  const QBitArray&, const QBitArray&
    261, 261, 0,	//468  const QByteArray&, const QByteArray&
    356, 346, 0,	//471  void*, size_t
    10, 288, 0,	//474  QDataStream&, const QLocale&
    13, 283, 0,	//477  QDebug, const QEasingCurve&
    355, 0,	//480  void(*)(QtMsgType,const char*)
    291, 0,	//482  const QModelIndex&
    10, 12, 0,	//484  QDataStream&, QDateTime&
    4, 4, 0,	//487  QBool, QBool
    332, 310, 0,	//490  const char*, const QStringRef&
    220, 338, 0,	//493  Qt::ToolBarArea, int
    192, 338, 0,	//496  Qt::InputMethodHint, int
    8, 307, 0,	//499  QChar, const QString&
    126, 338, 0,	//502  QString::SectionFlag, int
    107, 338, 0,	//505  QLibrary::LoadHint, int
    10, 137, 0,	//508  QDataStream&, QUrl&
    332, 332, 338, 0,	//511  const char*, const char*, int
    343, 0,	//515  long long
    307, 125, 0,	//517  const QString&, QString::Null
    1, 338, 0,	//520  QAbstractFileEngine::FileFlag, int
    131, 85, 0,	//523  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    192, 93, 0,	//526  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    230, 103, 0,	//529  Qt::WindowType, QFlags<Qt::WindowType>
    203, 203, 0,	//532  Qt::MouseButton, Qt::MouseButton
    258, 332, 0,	//535  char*, const char*
    159, 159, 0,	//538  Qt::AlignmentFlag, Qt::AlignmentFlag
    295, 0,	//541  const QPoint&
    181, 338, 0,	//543  Qt::DropAction, int
    10, 311, 0,	//546  QDataStream&, const QTime&
    15, 338, 0,	//549  QDir::SortFlag, int
    289, 289, 0,	//552  const QMargins&, const QMargins&
    114, 0,	//555  QObject*(*)()
    201, 201, 0,	//557  Qt::MatchFlag, Qt::MatchFlag
    346, 0,	//560  size_t
    179, 89, 0,	//562  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    10, 128, 0,	//565  QDataStream&, QStringList&
    13, 315, 0,	//568  QDebug, const QVariant::Type
    179, 338, 0,	//571  Qt::DockWidgetArea, int
    341, 0,	//574  long
    338, 295, 0,	//576  int, const QPoint&
    352, 0,	//579  unsigned short
    10, 109, 0,	//581  QDataStream&, QLineF&
    74, 74, 0,	//584  QFile::Permission, QFile::Permission
    10, 120, 0,	//587  QDataStream&, QSize&
    293, 0,	//590  const QPersistentModelIndex&
    10, 307, 0,	//592  QDataStream&, const QString&
    10, 264, 0,	//595  QDataStream&, const QDateTime&
    292, 307, 290, 0,	//598  const QObject*, const QString&, const QMetaObject&
    126, 126, 0,	//602  QString::SectionFlag, QString::SectionFlag
    297, 336, 0,	//605  const QPointF&, double
    255, 4, 0,	//608  bool, QBool
    258, 332, 349, 0,	//611  char*, const char*, unsigned int
    10, 295, 0,	//615  QDataStream&, const QPoint&
    10, 140, 0,	//618  QDataStream&, QVariant&
    203, 338, 0,	//621  Qt::MouseButton, int
    297, 0,	//624  const QPointF&
    13, 293, 0,	//626  QDebug, const QPersistentModelIndex&
    332, 332, 332, 338, 0,	//629  const char*, const char*, const char*, int
    337, 295, 0,	//634  float, const QPoint&
    205, 98, 0,	//637  Qt::Orientation, QFlags<Qt::Orientation>
    73, 338, 0,	//640  QEventLoop::ProcessEventsFlag, int
    299, 299, 0,	//643  const QRectF&, const QRectF&
    190, 92, 0,	//646  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    10, 308, 0,	//649  QDataStream&, const QStringList&
    261, 257, 0,	//652  const QByteArray&, char
    16, 16, 0,	//655  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    14, 76, 0,	//658  QDir::Filter, QFlags<QDir::Filter>
    10, 115, 0,	//661  QDataStream&, QPoint&
    305, 336, 0,	//664  const QSizeF&, double
    10, 263, 0,	//667  QDataStream&, const QDate&
    354, 0,	//670  void(*)()
    333, 338, 338, 0,	//672  const unsigned char*, int, int
    10, 286, 0,	//676  QDataStream&, const QLine&
    10, 123, 0,	//679  QDataStream&, QString&
    356, 0,	//682  void*
    195, 338, 0,	//684  Qt::ItemFlag, int
    13, 265, 0,	//687  QDebug, const QDir&
    132, 133, 0,	//690  QTextStream&, QTextStream&(*)(QTextStream&)
    13, 291, 0,	//693  QDebug, const QModelIndex&
    73, 73, 0,	//696  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    259, 0,	//699  const QBitArray&
    13, 311, 0,	//701  QDebug, const QTime&
    132, 135, 0,	//704  QTextStream&, QTextStreamManipulator
    186, 91, 0,	//707  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    310, 332, 0,	//710  const QStringRef&, const char*
    10, 3, 0,	//713  QDataStream&, QBitArray&
    346, 346, 0,	//716  size_t, size_t
    342, 338, 340, 340, 258, 346, 0,	//719  long double, int, int*, int*, char*, size_t
    13, 305, 0,	//726  QDebug, const QSizeF&
    186, 338, 0,	//729  Qt::GestureFlag, int
    257, 261, 0,	//732  char, const QByteArray&
    10, 314, 0,	//735  QDataStream&, const QVariant&
    13, 314, 0,	//738  QDebug, const QVariant&
    229, 338, 0,	//741  Qt::WindowState, int
    10, 136, 0,	//744  QDataStream&, QTime&
    13, 76, 0,	//747  QDebug, QFlags<QDir::Filter>
    198, 198, 0,	//750  Qt::KeyboardModifier, Qt::KeyboardModifier
    336, 297, 0,	//753  double, const QPointF&
    10, 72, 0,	//756  QDataStream&, QEasingCurve&
    181, 90, 0,	//759  Qt::DropAction, QFlags<Qt::DropAction>
    303, 336, 0,	//762  const QSize&, double
    13, 263, 0,	//765  QDebug, const QDate&
    14, 14, 0,	//768  QDir::Filter, QDir::Filter
    258, 346, 332, 353, 0,	//771  char*, size_t, const char*, va_list
    336, 295, 0,	//776  double, const QPoint&
    356, 338, 346, 0,	//779  void*, int, size_t
    10, 287, 0,	//783  QDataStream&, const QLineF&
    332, 338, 0,	//786  const char*, int
    344, 0,	//789  short
    105, 105, 0,	//791  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    179, 179, 0,	//794  Qt::DockWidgetArea, Qt::DockWidgetArea
    15, 77, 0,	//797  QDir::SortFlag, QFlags<QDir::SortFlag>
    337, 337, 0,	//800  float, float
    314, 316, 0,	//803  const QVariant&, const QVariantComparisonHelper&
    107, 107, 0,	//806  QLibrary::LoadHint, QLibrary::LoadHint
    342, 338, 258, 0,	//809  long double, int, char*
    356, 346, 346, 339, 0,	//813  void*, size_t, size_t, int(*)(const void*,const void*)
    16, 338, 0,	//818  QDirIterator::IteratorFlag, int
    192, 192, 0,	//821  Qt::InputMethodHint, Qt::InputMethodHint
    13, 286, 0,	//824  QDebug, const QLine&
    217, 217, 0,	//827  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    223, 338, 0,	//830  Qt::TouchPointState, int
    261, 338, 0,	//833  const QByteArray&, int
    138, 87, 0,	//836  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    217, 338, 0,	//839  Qt::TextInteractionFlag, int
    229, 229, 0,	//842  Qt::WindowState, Qt::WindowState
    1, 75, 0,	//845  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    10, 261, 0,	//848  QDataStream&, const QByteArray&
    10, 283, 0,	//851  QDataStream&, const QEasingCurve&
    10, 312, 0,	//854  QDataStream&, const QUrl&
    13, 298, 0,	//857  QDebug, const QRect&
    15, 15, 0,	//860  QDir::SortFlag, QDir::SortFlag
    134, 338, 0,	//863  QTextStream::NumberFlag, int
    10, 117, 0,	//866  QDataStream&, QRect&
    10, 303, 0,	//869  QDataStream&, const QSize&
    10, 262, 0,	//872  QDataStream&, const QChar&
    159, 338, 0,	//875  Qt::AlignmentFlag, int
    10, 300, 0,	//878  QDataStream&, const QRegExp&
    13, 299, 0,	//881  QDebug, const QRectF&
    229, 102, 0,	//884  Qt::WindowState, QFlags<Qt::WindowState>
    195, 195, 0,	//887  Qt::ItemFlag, Qt::ItemFlag
    10, 139, 0,	//890  QDataStream&, QUuid&
    295, 338, 0,	//893  const QPoint&, int
    10, 142, 0,	//896  QDataStream&, QVariant::Type&
    314, 141, 356, 0,	//899  const QVariant&, QVariant::Type, void*
    292, 307, 301, 290, 110, 0,	//903  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    284, 284, 0,	//909  const QHashDummyValue&, const QHashDummyValue&
    10, 116, 0,	//912  QDataStream&, QPointF&
    205, 338, 0,	//915  Qt::Orientation, int
    186, 186, 0,	//918  Qt::GestureFlag, Qt::GestureFlag
    105, 81, 0,	//921  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    295, 337, 0,	//924  const QPoint&, float
    336, 303, 0,	//927  double, const QSize&
    4, 255, 0,	//930  QBool, bool
    10, 108, 0,	//933  QDataStream&, QLine&
    13, 303, 0,	//936  QDebug, const QSize&
    134, 134, 0,	//939  QTextStream::NumberFlag, QTextStream::NumberFlag
    203, 97, 0,	//942  Qt::MouseButton, QFlags<Qt::MouseButton>
    10, 315, 0,	//945  QDataStream&, const QVariant::Type
    195, 94, 0,	//948  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    10, 313, 0,	//951  QDataStream&, const QUuid&
    107, 82, 0,	//954  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    230, 338, 0,	//957  Qt::WindowType, int
    10, 118, 0,	//960  QDataStream&, QRectF&
    10, 298, 0,	//963  QDataStream&, const QRect&
    201, 96, 0,	//966  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    159, 88, 0,	//969  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 9, 0,	//972  QDataStream&, QChar&
    10, 119, 0,	//975  QDataStream&, QRegExp&
    350, 0,	//978  unsigned long
    10, 297, 0,	//980  QDataStream&, const QPointF&
    10, 305, 0,	//983  QDataStream&, const QSizeF&
    112, 83, 0,	//986  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    126, 84, 0,	//989  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//992  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    233, 332, 0,	//995  QtMsgType, const char*
    310, 0,	//998  const QStringRef&
    105, 338, 0,	//1000  QIODevice::OpenModeFlag, int
    347, 0,	//1003  unsigned char
    10, 6, 0,	//1005  QDataStream&, QByteArray&
    13, 292, 0,	//1008  QDebug, const QObject*
    201, 338, 0,	//1011  Qt::MatchFlag, int
    10, 11, 0,	//1014  QDataStream&, QDate&
    10, 259, 0,	//1017  QDataStream&, const QBitArray&
    285, 0,	//1020  const QLatin1String&
    307, 307, 307, 307, 0,	//1022  const QString&, const QString&, const QString&, const QString&
    317, 0,	//1027  const QXmlAttributes&
    153, 0,	//1029  QXmlLocator*
    307, 307, 307, 317, 0,	//1031  const QString&, const QString&, const QString&, const QXmlAttributes&
    318, 0,	//1036  const QXmlContentHandler&
    319, 0,	//1038  const QXmlDTDHandler&
    307, 307, 307, 307, 307, 0,	//1040  const QString&, const QString&, const QString&, const QString&, const QString&
    320, 0,	//1046  const QXmlDeclHandler&
    327, 0,	//1048  const QXmlParseException&
    307, 307, 151, 0,	//1050  const QString&, const QString&, QXmlInputSource*&
    321, 0,	//1054  const QXmlEntityResolver&
    322, 0,	//1056  const QXmlErrorHandler&
    323, 0,	//1058  const QXmlInputSource&
    325, 0,	//1060  const QXmlLexicalHandler&
    326, 0,	//1062  const QXmlLocator&
    307, 123, 123, 0,	//1064  const QString&, QString&, QString&
    307, 255, 123, 123, 0,	//1068  const QString&, bool, QString&, QString&
    307, 338, 338, 307, 307, 0,	//1073  const QString&, int, int, const QString&, const QString&
    307, 338, 338, 0,	//1079  const QString&, int, int
    307, 338, 338, 307, 0,	//1083  const QString&, int, int, const QString&
    307, 256, 0,	//1088  const QString&, bool*
    307, 356, 0,	//1091  const QString&, void*
    148, 0,	//1094  QXmlEntityResolver*
    145, 0,	//1096  QXmlDTDHandler*
    144, 0,	//1098  QXmlContentHandler*
    149, 0,	//1100  QXmlErrorHandler*
    152, 0,	//1102  QXmlLexicalHandler*
    146, 0,	//1104  QXmlDeclHandler*
    324, 0,	//1106  const QXmlInputSource*
    328, 0,	//1108  const QXmlReader&
    324, 255, 0,	//1110  const QXmlInputSource*, bool
    7, 0,	//1113  QByteArray*
    124, 0,	//1115  QString*
    130, 0,	//1117  QTextCodec*
    329, 0,	//1119  const QXmlStreamAttribute&
    330, 0,	//1121  const QXmlStreamAttributes&
    331, 0,	//1123  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "LicensedActiveQt",	//19
    "LicensedCore",	//20
    "LicensedDBus",	//21
    "LicensedDeclarative",	//22
    "LicensedGui",	//23
    "LicensedHelp",	//24
    "LicensedMultimedia",	//25
    "LicensedNetwork",	//26
    "LicensedOpenGL",	//27
    "LicensedOpenVG",	//28
    "LicensedQt3Support",	//29
    "LicensedQt3SupportLight",	//30
    "LicensedScript",	//31
    "LicensedScriptTools",	//32
    "LicensedSql",	//33
    "LicensedSvg",	//34
    "LicensedTest",	//35
    "LicensedXml",	//36
    "LicensedXmlPatterns",	//37
    "NotationNode",	//38
    "ProcessingInstructionNode",	//39
    "QDomAttr",	//40
    "QDomAttr#",	//41
    "QDomCDATASection",	//42
    "QDomCDATASection#",	//43
    "QDomCharacterData",	//44
    "QDomCharacterData#",	//45
    "QDomComment",	//46
    "QDomComment#",	//47
    "QDomDocument",	//48
    "QDomDocument#",	//49
    "QDomDocument$",	//50
    "QDomDocumentFragment",	//51
    "QDomDocumentFragment#",	//52
    "QDomDocumentType",	//53
    "QDomDocumentType#",	//54
    "QDomElement",	//55
    "QDomElement#",	//56
    "QDomEntity",	//57
    "QDomEntity#",	//58
    "QDomEntityReference",	//59
    "QDomEntityReference#",	//60
    "QDomImplementation",	//61
    "QDomImplementation#",	//62
    "QDomNamedNodeMap",	//63
    "QDomNamedNodeMap#",	//64
    "QDomNode",	//65
    "QDomNode#",	//66
    "QDomNodeList",	//67
    "QDomNodeList#",	//68
    "QDomNotation",	//69
    "QDomNotation#",	//70
    "QDomProcessingInstruction",	//71
    "QDomProcessingInstruction#",	//72
    "QDomText",	//73
    "QDomText#",	//74
    "QXmlAttributes",	//75
    "QXmlAttributes#",	//76
    "QXmlContentHandler",	//77
    "QXmlContentHandler#",	//78
    "QXmlDTDHandler",	//79
    "QXmlDTDHandler#",	//80
    "QXmlDeclHandler",	//81
    "QXmlDeclHandler#",	//82
    "QXmlDefaultHandler",	//83
    "QXmlEntityResolver",	//84
    "QXmlEntityResolver#",	//85
    "QXmlErrorHandler",	//86
    "QXmlErrorHandler#",	//87
    "QXmlInputSource",	//88
    "QXmlInputSource#",	//89
    "QXmlLexicalHandler",	//90
    "QXmlLexicalHandler#",	//91
    "QXmlLocator",	//92
    "QXmlLocator#",	//93
    "QXmlNamespaceSupport",	//94
    "QXmlParseException",	//95
    "QXmlParseException#",	//96
    "QXmlParseException$",	//97
    "QXmlParseException$$",	//98
    "QXmlParseException$$$",	//99
    "QXmlParseException$$$$",	//100
    "QXmlParseException$$$$$",	//101
    "QXmlReader",	//102
    "QXmlReader#",	//103
    "QXmlSimpleReader",	//104
    "QXmlStreamWriter",	//105
    "QXmlStreamWriter#",	//106
    "QXmlStreamWriter$",	//107
    "QtCriticalMsg",	//108
    "QtDebugMsg",	//109
    "QtFatalMsg",	//110
    "QtSystemMsg",	//111
    "QtWarningMsg",	//112
    "ReturnNullNode",	//113
    "TextNode",	//114
    "_IEEE_",	//115
    "_ISOC_",	//116
    "_POSIX_",	//117
    "_SVID_",	//118
    "_XOPEN_",	//119
    "__codecvt_error",	//120
    "__codecvt_noconv",	//121
    "__codecvt_ok",	//122
    "__codecvt_partial",	//123
    "append",	//124
    "append$$$$",	//125
    "appendChild",	//126
    "appendChild#",	//127
    "appendData",	//128
    "appendData$",	//129
    "at",	//130
    "at$",	//131
    "attribute",	//132
    "attribute$",	//133
    "attribute$$",	//134
    "attributeDecl",	//135
    "attributeDecl$$$$$",	//136
    "attributeNS",	//137
    "attributeNS$$",	//138
    "attributeNS$$$",	//139
    "attributeNode",	//140
    "attributeNode$",	//141
    "attributeNodeNS",	//142
    "attributeNodeNS$$",	//143
    "attributes",	//144
    "autoFormatting",	//145
    "autoFormattingIndent",	//146
    "characters",	//147
    "characters$",	//148
    "childNodes",	//149
    "clear",	//150
    "cloneNode",	//151
    "cloneNode$",	//152
    "codec",	//153
    "columnNumber",	//154
    "comment",	//155
    "comment$",	//156
    "contains",	//157
    "contains$",	//158
    "contentHandler",	//159
    "count",	//160
    "createAttribute",	//161
    "createAttribute$",	//162
    "createAttributeNS",	//163
    "createAttributeNS$$",	//164
    "createCDATASection",	//165
    "createCDATASection$",	//166
    "createComment",	//167
    "createComment$",	//168
    "createDocument",	//169
    "createDocument$$#",	//170
    "createDocumentFragment",	//171
    "createDocumentType",	//172
    "createDocumentType$$$",	//173
    "createElement",	//174
    "createElement$",	//175
    "createElementNS",	//176
    "createElementNS$$",	//177
    "createEntityReference",	//178
    "createEntityReference$",	//179
    "createProcessingInstruction",	//180
    "createProcessingInstruction$$",	//181
    "createTextNode",	//182
    "createTextNode$",	//183
    "data",	//184
    "declHandler",	//185
    "deleteData",	//186
    "deleteData$$",	//187
    "device",	//188
    "doctype",	//189
    "documentElement",	//190
    "elementById",	//191
    "elementById$",	//192
    "elementsByTagName",	//193
    "elementsByTagName$",	//194
    "elementsByTagNameNS",	//195
    "elementsByTagNameNS$$",	//196
    "endCDATA",	//197
    "endDTD",	//198
    "endDocument",	//199
    "endElement",	//200
    "endElement$$$",	//201
    "endEntity",	//202
    "endEntity$",	//203
    "endPrefixMapping",	//204
    "endPrefixMapping$",	//205
    "entities",	//206
    "entityResolver",	//207
    "error",	//208
    "error#",	//209
    "errorHandler",	//210
    "errorString",	//211
    "externalEntityDecl",	//212
    "externalEntityDecl$$$",	//213
    "fatalError",	//214
    "fatalError#",	//215
    "feature",	//216
    "feature$",	//217
    "feature$$",	//218
    "fetchData",	//219
    "firstChild",	//220
    "firstChildElement",	//221
    "firstChildElement$",	//222
    "fromRawData",	//223
    "fromRawData#",	//224
    "fromRawData#$",	//225
    "hasAttribute",	//226
    "hasAttribute$",	//227
    "hasAttributeNS",	//228
    "hasAttributeNS$$",	//229
    "hasAttributes",	//230
    "hasChildNodes",	//231
    "hasError",	//232
    "hasFeature",	//233
    "hasFeature$",	//234
    "hasFeature$$",	//235
    "hasProperty",	//236
    "hasProperty$",	//237
    "ignorableWhitespace",	//238
    "ignorableWhitespace$",	//239
    "impl",	//240
    "implementation",	//241
    "importNode",	//242
    "importNode#$",	//243
    "index",	//244
    "index#",	//245
    "index$",	//246
    "index$$",	//247
    "insertAfter",	//248
    "insertAfter##",	//249
    "insertBefore",	//250
    "insertBefore##",	//251
    "insertData",	//252
    "insertData$$",	//253
    "internalEntityDecl",	//254
    "internalEntityDecl$$",	//255
    "internalSubset",	//256
    "invalidDataPolicy",	//257
    "isAttr",	//258
    "isCDATASection",	//259
    "isCharacterData",	//260
    "isComment",	//261
    "isDocument",	//262
    "isDocumentFragment",	//263
    "isDocumentType",	//264
    "isElement",	//265
    "isEmpty",	//266
    "isEntity",	//267
    "isEntityReference",	//268
    "isNotation",	//269
    "isNull",	//270
    "isProcessingInstruction",	//271
    "isSupported",	//272
    "isSupported$$",	//273
    "isText",	//274
    "item",	//275
    "item$",	//276
    "lastChild",	//277
    "lastChildElement",	//278
    "lastChildElement$",	//279
    "length",	//280
    "lexicalHandler",	//281
    "lineNumber",	//282
    "localName",	//283
    "localName$",	//284
    "message",	//285
    "name",	//286
    "namedItem",	//287
    "namedItem$",	//288
    "namedItemNS",	//289
    "namedItemNS$$",	//290
    "namespaceURI",	//291
    "next",	//292
    "nextSibling",	//293
    "nextSiblingElement",	//294
    "nextSiblingElement$",	//295
    "nodeName",	//296
    "nodeType",	//297
    "nodeValue",	//298
    "normalize",	//299
    "notationDecl",	//300
    "notationDecl$$$",	//301
    "notationName",	//302
    "notations",	//303
    "operator!=",	//304
    "operator!=#",	//305
    "operator!=##",	//306
    "operator!=#$",	//307
    "operator!=$#",	//308
    "operator&",	//309
    "operator&##",	//310
    "operator*",	//311
    "operator*#$",	//312
    "operator*$#",	//313
    "operator+",	//314
    "operator+##",	//315
    "operator+#$",	//316
    "operator+$#",	//317
    "operator+$$",	//318
    "operator-",	//319
    "operator-#",	//320
    "operator-##",	//321
    "operator/",	//322
    "operator/#$",	//323
    "operator<",	//324
    "operator<##",	//325
    "operator<#$",	//326
    "operator<$#",	//327
    "operator<<",	//328
    "operator<<##",	//329
    "operator<<#$",	//330
    "operator<<#?",	//331
    "operator<=",	//332
    "operator<=##",	//333
    "operator<=#$",	//334
    "operator<=$#",	//335
    "operator=",	//336
    "operator=#",	//337
    "operator==",	//338
    "operator==#",	//339
    "operator==##",	//340
    "operator==#$",	//341
    "operator==$#",	//342
    "operator>",	//343
    "operator>##",	//344
    "operator>#$",	//345
    "operator>$#",	//346
    "operator>=",	//347
    "operator>=##",	//348
    "operator>=#$",	//349
    "operator>=$#",	//350
    "operator>>",	//351
    "operator>>##",	//352
    "operator>>#$",	//353
    "operator>>#?",	//354
    "operator^",	//355
    "operator^##",	//356
    "operator|",	//357
    "operator|##",	//358
    "operator|$$",	//359
    "ownerDocument",	//360
    "ownerElement",	//361
    "parentNode",	//362
    "parse",	//363
    "parse#",	//364
    "parse#$",	//365
    "parseContinue",	//366
    "popContext",	//367
    "prefix",	//368
    "prefix$",	//369
    "prefixes",	//370
    "prefixes$",	//371
    "previousSibling",	//372
    "previousSiblingElement",	//373
    "previousSiblingElement$",	//374
    "processName",	//375
    "processName$$$$",	//376
    "processingInstruction",	//377
    "processingInstruction$$",	//378
    "property",	//379
    "property$",	//380
    "property$$",	//381
    "publicId",	//382
    "pushContext",	//383
    "qAcos",	//384
    "qAcos$",	//385
    "qAddPostRoutine",	//386
    "qAddPostRoutine$",	//387
    "qAppName",	//388
    "qAsin",	//389
    "qAsin$",	//390
    "qAtan",	//391
    "qAtan$",	//392
    "qAtan2",	//393
    "qAtan2$$",	//394
    "qBadAlloc",	//395
    "qCeil",	//396
    "qCeil$",	//397
    "qChecksum",	//398
    "qChecksum$$",	//399
    "qCompress",	//400
    "qCompress#",	//401
    "qCompress#$",	//402
    "qCompress$$",	//403
    "qCompress$$$",	//404
    "qCos",	//405
    "qCos$",	//406
    "qCritical",	//407
    "qDebug",	//408
    "qExp",	//409
    "qExp$",	//410
    "qFabs",	//411
    "qFabs$",	//412
    "qFastCos",	//413
    "qFastCos$",	//414
    "qFastSin",	//415
    "qFastSin$",	//416
    "qFlagLocation",	//417
    "qFlagLocation$",	//418
    "qFloor",	//419
    "qFloor$",	//420
    "qFree",	//421
    "qFree$",	//422
    "qFreeAligned",	//423
    "qFreeAligned$",	//424
    "qFuzzyCompare",	//425
    "qFuzzyCompare$$",	//426
    "qFuzzyIsNull",	//427
    "qFuzzyIsNull$",	//428
    "qHash",	//429
    "qHash#",	//430
    "qHash$",	//431
    "qInf",	//432
    "qInstallMsgHandler",	//433
    "qInstallMsgHandler$",	//434
    "qIntCast",	//435
    "qIntCast$",	//436
    "qIsFinite",	//437
    "qIsFinite$",	//438
    "qIsInf",	//439
    "qIsInf$",	//440
    "qIsNaN",	//441
    "qIsNaN$",	//442
    "qIsNull",	//443
    "qIsNull$",	//444
    "qLn",	//445
    "qLn$",	//446
    "qMalloc",	//447
    "qMalloc$",	//448
    "qMallocAligned",	//449
    "qMallocAligned$$",	//450
    "qMemCopy",	//451
    "qMemCopy$$$",	//452
    "qMemSet",	//453
    "qMemSet$$$",	//454
    "qName",	//455
    "qName$",	//456
    "qPow",	//457
    "qPow$$",	//458
    "qQNaN",	//459
    "qRealloc",	//460
    "qRealloc$$",	//461
    "qReallocAligned",	//462
    "qReallocAligned$$$$",	//463
    "qRegisterStaticPluginInstanceFunction",	//464
    "qRegisterStaticPluginInstanceFunction#",	//465
    "qRemovePostRoutine",	//466
    "qRemovePostRoutine$",	//467
    "qRound",	//468
    "qRound$",	//469
    "qRound64",	//470
    "qRound64$",	//471
    "qSNaN",	//472
    "qSetFieldWidth",	//473
    "qSetFieldWidth$",	//474
    "qSetPadChar",	//475
    "qSetPadChar#",	//476
    "qSetRealNumberPrecision",	//477
    "qSetRealNumberPrecision$",	//478
    "qSharedBuild",	//479
    "qSin",	//480
    "qSin$",	//481
    "qSqrt",	//482
    "qSqrt$",	//483
    "qStringComparisonHelper",	//484
    "qStringComparisonHelper#$",	//485
    "qTan",	//486
    "qTan$",	//487
    "qUncompress",	//488
    "qUncompress#",	//489
    "qUncompress$$",	//490
    "qVersion",	//491
    "qWarning",	//492
    "qbswap_helper",	//493
    "qbswap_helper$$$",	//494
    "qecvt",	//495
    "qecvt$$$$",	//496
    "qecvt_r",	//497
    "qecvt_r$$$$$$",	//498
    "qfcvt",	//499
    "qfcvt$$$$",	//500
    "qfcvt_r",	//501
    "qfcvt_r$$$$$$",	//502
    "qgcvt",	//503
    "qgcvt$$$",	//504
    "qgetenv",	//505
    "qgetenv$",	//506
    "qputenv",	//507
    "qputenv$#",	//508
    "qrand",	//509
    "qsort",	//510
    "qsort$$$$",	//511
    "qsrand",	//512
    "qsrand$",	//513
    "qstrcmp",	//514
    "qstrcmp##",	//515
    "qstrcmp#$",	//516
    "qstrcmp$#",	//517
    "qstrcmp$$",	//518
    "qstrcpy",	//519
    "qstrcpy$$",	//520
    "qstrdup",	//521
    "qstrdup$",	//522
    "qstricmp",	//523
    "qstricmp$$",	//524
    "qstrlen",	//525
    "qstrlen$",	//526
    "qstrncmp",	//527
    "qstrncmp$$$",	//528
    "qstrncpy",	//529
    "qstrncpy$$$",	//530
    "qstrnicmp",	//531
    "qstrnicmp$$$",	//532
    "qstrnlen",	//533
    "qstrnlen$$",	//534
    "qtTrId",	//535
    "qtTrId$",	//536
    "qtTrId$$",	//537
    "qt_assert",	//538
    "qt_assert$$$",	//539
    "qt_assert_x",	//540
    "qt_assert_x$$$$",	//541
    "qt_check_pointer",	//542
    "qt_check_pointer$$",	//543
    "qt_error_string",	//544
    "qt_error_string$",	//545
    "qt_message_output",	//546
    "qt_message_output$$",	//547
    "qt_noop",	//548
    "qt_qFindChild_helper",	//549
    "qt_qFindChild_helper#$#",	//550
    "qt_qFindChildren_helper",	//551
    "qt_qFindChildren_helper#$##?",	//552
    "quick_exit",	//553
    "quick_exit$",	//554
    "qvariant_cast_helper",	//555
    "qvariant_cast_helper#$$",	//556
    "qvsnprintf",	//557
    "qvsnprintf$$$?",	//558
    "removeAttribute",	//559
    "removeAttribute$",	//560
    "removeAttributeNS",	//561
    "removeAttributeNS$$",	//562
    "removeAttributeNode",	//563
    "removeAttributeNode#",	//564
    "removeChild",	//565
    "removeChild#",	//566
    "removeNamedItem",	//567
    "removeNamedItem$",	//568
    "removeNamedItemNS",	//569
    "removeNamedItemNS$$",	//570
    "replaceChild",	//571
    "replaceChild##",	//572
    "replaceData",	//573
    "replaceData$$$",	//574
    "reset",	//575
    "resolveEntity",	//576
    "resolveEntity$$#",	//577
    "save",	//578
    "save#$",	//579
    "save#$$",	//580
    "setAttribute",	//581
    "setAttribute$$",	//582
    "setAttributeNS",	//583
    "setAttributeNS$$$",	//584
    "setAttributeNode",	//585
    "setAttributeNode#",	//586
    "setAttributeNodeNS",	//587
    "setAttributeNodeNS#",	//588
    "setAutoFormatting",	//589
    "setAutoFormatting$",	//590
    "setAutoFormattingIndent",	//591
    "setAutoFormattingIndent$",	//592
    "setCodec",	//593
    "setCodec#",	//594
    "setCodec$",	//595
    "setContent",	//596
    "setContent#",	//597
    "setContent##",	//598
    "setContent##$",	//599
    "setContent##$$",	//600
    "setContent##$$$",	//601
    "setContent#$",	//602
    "setContent#$$",	//603
    "setContent#$$$",	//604
    "setContent#$$$$",	//605
    "setContent$",	//606
    "setContent$$",	//607
    "setContent$$$",	//608
    "setContent$$$$",	//609
    "setContent$$$$$",	//610
    "setContentHandler",	//611
    "setContentHandler#",	//612
    "setDTDHandler",	//613
    "setDTDHandler#",	//614
    "setData",	//615
    "setData#",	//616
    "setData$",	//617
    "setDeclHandler",	//618
    "setDeclHandler#",	//619
    "setDevice",	//620
    "setDevice#",	//621
    "setDocumentLocator",	//622
    "setDocumentLocator#",	//623
    "setEntityResolver",	//624
    "setEntityResolver#",	//625
    "setErrorHandler",	//626
    "setErrorHandler#",	//627
    "setFeature",	//628
    "setFeature$$",	//629
    "setImpl",	//630
    "setImpl#",	//631
    "setInvalidDataPolicy",	//632
    "setInvalidDataPolicy$",	//633
    "setLexicalHandler",	//634
    "setLexicalHandler#",	//635
    "setNamedItem",	//636
    "setNamedItem#",	//637
    "setNamedItemNS",	//638
    "setNamedItemNS#",	//639
    "setNodeValue",	//640
    "setNodeValue$",	//641
    "setPrefix",	//642
    "setPrefix$",	//643
    "setPrefix$$",	//644
    "setProperty",	//645
    "setProperty$$",	//646
    "setTagName",	//647
    "setTagName$",	//648
    "setValue",	//649
    "setValue$",	//650
    "size",	//651
    "skippedEntity",	//652
    "skippedEntity$",	//653
    "specified",	//654
    "splitName",	//655
    "splitName$$$",	//656
    "splitText",	//657
    "splitText$",	//658
    "startCDATA",	//659
    "startDTD",	//660
    "startDTD$$$",	//661
    "startDocument",	//662
    "startElement",	//663
    "startElement$$$#",	//664
    "startEntity",	//665
    "startEntity$",	//666
    "startPrefixMapping",	//667
    "startPrefixMapping$$",	//668
    "substringData",	//669
    "substringData$$",	//670
    "systemId",	//671
    "tagName",	//672
    "target",	//673
    "text",	//674
    "toAttr",	//675
    "toByteArray",	//676
    "toByteArray$",	//677
    "toCDATASection",	//678
    "toCharacterData",	//679
    "toComment",	//680
    "toDocument",	//681
    "toDocumentFragment",	//682
    "toDocumentType",	//683
    "toElement",	//684
    "toEntity",	//685
    "toEntityReference",	//686
    "toNotation",	//687
    "toProcessingInstruction",	//688
    "toString",	//689
    "toString$",	//690
    "toText",	//691
    "type",	//692
    "type$",	//693
    "type$$",	//694
    "unparsedEntityDecl",	//695
    "unparsedEntityDecl$$$$",	//696
    "uri",	//697
    "uri$",	//698
    "value",	//699
    "value#",	//700
    "value$",	//701
    "value$$",	//702
    "warning",	//703
    "warning#",	//704
    "writeAttribute",	//705
    "writeAttribute#",	//706
    "writeAttribute$$",	//707
    "writeAttribute$$$",	//708
    "writeAttributes",	//709
    "writeAttributes#",	//710
    "writeCDATA",	//711
    "writeCDATA$",	//712
    "writeCharacters",	//713
    "writeCharacters$",	//714
    "writeComment",	//715
    "writeComment$",	//716
    "writeCurrentToken",	//717
    "writeCurrentToken#",	//718
    "writeDTD",	//719
    "writeDTD$",	//720
    "writeDefaultNamespace",	//721
    "writeDefaultNamespace$",	//722
    "writeEmptyElement",	//723
    "writeEmptyElement$",	//724
    "writeEmptyElement$$",	//725
    "writeEndDocument",	//726
    "writeEndElement",	//727
    "writeEntityReference",	//728
    "writeEntityReference$",	//729
    "writeNamespace",	//730
    "writeNamespace$",	//731
    "writeNamespace$$",	//732
    "writeProcessingInstruction",	//733
    "writeProcessingInstruction$",	//734
    "writeProcessingInstruction$$",	//735
    "writeStartDocument",	//736
    "writeStartDocument$",	//737
    "writeStartDocument$$",	//738
    "writeStartElement",	//739
    "writeStartElement$",	//740
    "writeStartElement$$",	//741
    "writeTextElement",	//742
    "writeTextElement$$",	//743
    "writeTextElement$$$",	//744
    "~QDomAttr",	//745
    "~QDomCDATASection",	//746
    "~QDomCharacterData",	//747
    "~QDomComment",	//748
    "~QDomDocument",	//749
    "~QDomDocumentFragment",	//750
    "~QDomDocumentType",	//751
    "~QDomElement",	//752
    "~QDomEntity",	//753
    "~QDomEntityReference",	//754
    "~QDomImplementation",	//755
    "~QDomNamedNodeMap",	//756
    "~QDomNode",	//757
    "~QDomNodeList",	//758
    "~QDomNotation",	//759
    "~QDomProcessingInstruction",	//760
    "~QDomText",	//761
    "~QXmlAttributes",	//762
    "~QXmlContentHandler",	//763
    "~QXmlDTDHandler",	//764
    "~QXmlDeclHandler",	//765
    "~QXmlDefaultHandler",	//766
    "~QXmlEntityResolver",	//767
    "~QXmlErrorHandler",	//768
    "~QXmlInputSource",	//769
    "~QXmlLexicalHandler",	//770
    "~QXmlLocator",	//771
    "~QXmlNamespaceSupport",	//772
    "~QXmlParseException",	//773
    "~QXmlReader",	//774
    "~QXmlSimpleReader",	//775
    "~QXmlStreamWriter",	//776
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 40, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 40, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 336, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 286, 0, 0, Smoke::mf_const, 122, 4},	//4 QDomAttr::name() const
    {10, 654, 0, 0, Smoke::mf_const, 255, 5},	//5 QDomAttr::specified() const
    {10, 361, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 699, 0, 0, Smoke::mf_const, 122, 7},	//7 QDomAttr::value() const
    {10, 649, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 297, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 745, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 42, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 42, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 336, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 297, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 746, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 44, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 44, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 336, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 669, 9, 2, 0, 122, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 128, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 252, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 186, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 573, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 280, 0, 0, Smoke::mf_const, 349, 9},	//24 QDomCharacterData::length() const
    {12, 184, 0, 0, Smoke::mf_const, 122, 10},	//25 QDomCharacterData::data() const
    {12, 615, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 297, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 747, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 46, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 46, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 336, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 297, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 748, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 48, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 48, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 48, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 48, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 336, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 174, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 171, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 182, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 167, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 165, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 180, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 161, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 178, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 193, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 242, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 176, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 163, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 195, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 191, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 189, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 241, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 190, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 297, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 596, 31, 5, 0, 255, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 596, 37, 5, 0, 255, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 596, 43, 5, 0, 255, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 596, 49, 5, 0, 255, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 596, 55, 4, 0, 255, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 596, 60, 4, 0, 255, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 596, 65, 4, 0, 255, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 596, 70, 5, 0, 255, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 689, 76, 1, Smoke::mf_const, 122, 32},	//65 QDomDocument::toString(int) const
    {14, 676, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 596, 78, 2, 0, 255, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 596, 81, 3, 0, 255, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 596, 85, 4, 0, 255, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 596, 90, 2, 0, 255, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 596, 93, 3, 0, 255, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 596, 97, 4, 0, 255, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 596, 102, 2, 0, 255, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 596, 105, 3, 0, 255, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 596, 109, 4, 0, 255, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 596, 114, 2, 0, 255, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 596, 117, 3, 0, 255, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 596, 121, 4, 0, 255, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 596, 126, 1, 0, 255, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 596, 128, 2, 0, 255, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 596, 131, 3, 0, 255, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 596, 3, 1, 0, 255, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 596, 135, 2, 0, 255, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 596, 138, 3, 0, 255, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 596, 142, 1, 0, 255, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 596, 144, 2, 0, 255, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 596, 147, 3, 0, 255, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 596, 151, 2, 0, 255, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 596, 154, 3, 0, 255, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 596, 158, 4, 0, 255, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 689, 0, 0, Smoke::mf_const, 122, 58},	//91 QDomDocument::toString() const
    {14, 676, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 749, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 51, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 51, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 336, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 297, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 750, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 53, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 53, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 336, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 286, 0, 0, Smoke::mf_const, 122, 4},	//102 QDomDocumentType::name() const
    {16, 206, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 303, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 382, 0, 0, Smoke::mf_const, 122, 7},	//105 QDomDocumentType::publicId() const
    {16, 671, 0, 0, Smoke::mf_const, 122, 8},	//106 QDomDocumentType::systemId() const
    {16, 256, 0, 0, Smoke::mf_const, 122, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 297, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 751, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 55, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 55, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 336, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 132, 25, 2, Smoke::mf_const, 122, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 581, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 581, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 581, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 581, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 581, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 581, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 581, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 559, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 140, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 585, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 563, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 193, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 226, 3, 1, Smoke::mf_const, 255, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 137, 185, 3, Smoke::mf_const, 122, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 583, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 583, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 583, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 583, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 583, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 583, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 561, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 142, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 587, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 195, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 228, 25, 2, Smoke::mf_const, 255, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 672, 0, 0, Smoke::mf_const, 122, 30},	//139 QDomElement::tagName() const
    {17, 647, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 144, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 297, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 674, 0, 0, Smoke::mf_const, 122, 34},	//143 QDomElement::text() const
    {17, 132, 3, 1, Smoke::mf_const, 122, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 137, 209, 2, Smoke::mf_const, 122, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 752, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 57, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 57, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 336, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 382, 0, 0, Smoke::mf_const, 122, 4},	//150 QDomEntity::publicId() const
    {18, 671, 0, 0, Smoke::mf_const, 122, 5},	//151 QDomEntity::systemId() const
    {18, 302, 0, 0, Smoke::mf_const, 122, 6},	//152 QDomEntity::notationName() const
    {18, 297, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 753, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 59, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 59, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 336, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 297, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 754, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 61, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 61, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 336, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 338, 216, 1, Smoke::mf_const, 255, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 304, 216, 1, Smoke::mf_const, 255, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 233, 25, 2, Smoke::mf_const, 255, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 172, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 169, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 257, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 632, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 270, 0, 0, 0, 255, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 755, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 63, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 63, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 336, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 338, 228, 1, Smoke::mf_const, 255, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 304, 228, 1, Smoke::mf_const, 255, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 287, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 636, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 567, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 275, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 289, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 638, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 569, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 280, 0, 0, Smoke::mf_const, 349, 13},	//187 QDomNamedNodeMap::length() const
    {21, 160, 0, 0, Smoke::mf_const, 338, 14},	//188 QDomNamedNodeMap::count() const
    {21, 651, 0, 0, Smoke::mf_const, 338, 15},	//189 QDomNamedNodeMap::size() const
    {21, 266, 0, 0, Smoke::mf_const, 255, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 157, 3, 1, Smoke::mf_const, 255, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 756, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 65, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 65, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 336, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 338, 230, 1, Smoke::mf_const, 255, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 304, 230, 1, Smoke::mf_const, 255, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 250, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 248, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 571, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 565, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 126, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 231, 0, 0, Smoke::mf_const, 255, 11},	//203 QDomNode::hasChildNodes() const
    {22, 151, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 299, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 272, 25, 2, Smoke::mf_const, 255, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 296, 0, 0, Smoke::mf_const, 122, 15},	//207 QDomNode::nodeName() const
    {22, 297, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 362, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 149, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 220, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 277, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 372, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 293, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 144, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 360, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 291, 0, 0, Smoke::mf_const, 122, 25},	//217 QDomNode::namespaceURI() const
    {22, 283, 0, 0, Smoke::mf_const, 122, 26},	//218 QDomNode::localName() const
    {22, 230, 0, 0, Smoke::mf_const, 255, 27},	//219 QDomNode::hasAttributes() const
    {22, 298, 0, 0, Smoke::mf_const, 122, 28},	//220 QDomNode::nodeValue() const
    {22, 640, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 368, 0, 0, Smoke::mf_const, 122, 30},	//222 QDomNode::prefix() const
    {22, 642, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 258, 0, 0, Smoke::mf_const, 255, 32},	//224 QDomNode::isAttr() const
    {22, 259, 0, 0, Smoke::mf_const, 255, 33},	//225 QDomNode::isCDATASection() const
    {22, 263, 0, 0, Smoke::mf_const, 255, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 262, 0, 0, Smoke::mf_const, 255, 35},	//227 QDomNode::isDocument() const
    {22, 264, 0, 0, Smoke::mf_const, 255, 36},	//228 QDomNode::isDocumentType() const
    {22, 265, 0, 0, Smoke::mf_const, 255, 37},	//229 QDomNode::isElement() const
    {22, 268, 0, 0, Smoke::mf_const, 255, 38},	//230 QDomNode::isEntityReference() const
    {22, 274, 0, 0, Smoke::mf_const, 255, 39},	//231 QDomNode::isText() const
    {22, 267, 0, 0, Smoke::mf_const, 255, 40},	//232 QDomNode::isEntity() const
    {22, 269, 0, 0, Smoke::mf_const, 255, 41},	//233 QDomNode::isNotation() const
    {22, 271, 0, 0, Smoke::mf_const, 255, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 260, 0, 0, Smoke::mf_const, 255, 43},	//235 QDomNode::isCharacterData() const
    {22, 261, 0, 0, Smoke::mf_const, 255, 44},	//236 QDomNode::isComment() const
    {22, 287, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 270, 0, 0, Smoke::mf_const, 255, 46},	//238 QDomNode::isNull() const
    {22, 150, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 675, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 678, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 682, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 681, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 683, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 684, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 686, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 691, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 685, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 687, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 688, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 679, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 680, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 578, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 578, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 221, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 278, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 373, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 294, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 282, 0, 0, Smoke::mf_const, 338, 67},	//259 QDomNode::lineNumber() const
    {22, 154, 0, 0, Smoke::mf_const, 338, 68},	//260 QDomNode::columnNumber() const
    {22, 151, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 221, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 278, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 373, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 294, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 240, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 630, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 757, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 67, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 67, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 336, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 338, 246, 1, Smoke::mf_const, 255, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 304, 246, 1, Smoke::mf_const, 255, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 275, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 130, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 280, 0, 0, Smoke::mf_const, 349, 8},	//292 QDomNodeList::length() const
    {23, 160, 0, 0, Smoke::mf_const, 338, 9},	//293 QDomNodeList::count() const
    {23, 651, 0, 0, Smoke::mf_const, 338, 10},	//294 QDomNodeList::size() const
    {23, 266, 0, 0, Smoke::mf_const, 255, 11},	//295 QDomNodeList::isEmpty() const
    {23, 758, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 69, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 69, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 336, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 382, 0, 0, Smoke::mf_const, 122, 4},	//300 QDomNotation::publicId() const
    {25, 671, 0, 0, Smoke::mf_const, 122, 5},	//301 QDomNotation::systemId() const
    {25, 297, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 759, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 71, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 71, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 336, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 673, 0, 0, Smoke::mf_const, 122, 4},	//307 QDomProcessingInstruction::target() const
    {26, 184, 0, 0, Smoke::mf_const, 122, 5},	//308 QDomProcessingInstruction::data() const
    {26, 615, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 297, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 760, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 73, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 73, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 336, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 657, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 297, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 761, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 347, 254, 2, Smoke::mf_static, 255, 1},	//318 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 429, 257, 1, Smoke::mf_static, 349, 2},	//319 QGlobalSpace::qHash(unsigned long long)
    {29, 439, 259, 1, Smoke::mf_static, 255, 3},	//320 QGlobalSpace::qIsInf(double)
    {29, 357, 261, 2, Smoke::mf_static, 106, 4},	//321 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 357, 264, 2, Smoke::mf_static, 106, 5},	//322 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 533, 267, 2, Smoke::mf_static, 349, 6},	//323 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 451, 270, 3, Smoke::mf_static, 356, 7},	//324 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 548, 0, 0, Smoke::mf_static, 0, 8},	//325 QGlobalSpace::qt_noop()
    {29, 328, 274, 2, Smoke::mf_static, 13, 9},	//326 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 338, 277, 2, Smoke::mf_static, 255, 10},	//327 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 338, 280, 2, Smoke::mf_static, 255, 11},	//328 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 314, 283, 2, Smoke::mf_static, 260, 12},	//329 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 357, 286, 2, Smoke::mf_static, 80, 13},	//330 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 514, 283, 2, Smoke::mf_static, 338, 14},	//331 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 338, 289, 2, Smoke::mf_static, 255, 15},	//332 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 393, 292, 2, Smoke::mf_static, 336, 16},	//333 QGlobalSpace::qAtan2(double, double)
    {29, 351, 295, 2, Smoke::mf_static, 10, 17},	//334 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 347, 298, 2, Smoke::mf_static, 255, 18},	//335 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 439, 301, 1, Smoke::mf_static, 255, 19},	//336 QGlobalSpace::qIsInf(float)
    {29, 505, 303, 1, Smoke::mf_static, 5, 20},	//337 QGlobalSpace::qgetenv(const char*)
    {29, 429, 305, 1, Smoke::mf_static, 349, 21},	//338 QGlobalSpace::qHash(signed char)
    {29, 338, 307, 2, Smoke::mf_static, 255, 22},	//339 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 343, 283, 2, Smoke::mf_static, 255, 23},	//340 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 435, 259, 1, Smoke::mf_static, 338, 24},	//341 QGlobalSpace::qIntCast(double)
    {29, 475, 310, 1, Smoke::mf_static, 135, 25},	//342 QGlobalSpace::qSetPadChar(QChar)
    {29, 338, 312, 2, Smoke::mf_static, 255, 26},	//343 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 338, 315, 2, Smoke::mf_static, 255, 27},	//344 QGlobalSpace::operator==(QChar, QChar)
    {29, 357, 318, 2, Smoke::mf_static, 101, 28},	//345 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 429, 321, 1, Smoke::mf_static, 349, 29},	//346 QGlobalSpace::qHash(const QUrl&)
    {29, 429, 126, 1, Smoke::mf_static, 349, 30},	//347 QGlobalSpace::qHash(const QByteArray&)
    {29, 328, 323, 2, Smoke::mf_static, 13, 31},	//348 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 324, 315, 2, Smoke::mf_static, 255, 32},	//349 QGlobalSpace::operator<(QChar, QChar)
    {29, 347, 315, 2, Smoke::mf_static, 255, 33},	//350 QGlobalSpace::operator>=(QChar, QChar)
    {29, 304, 326, 2, Smoke::mf_static, 255, 34},	//351 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 324, 283, 2, Smoke::mf_static, 255, 35},	//352 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 357, 329, 2, Smoke::mf_static, 100, 36},	//353 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 514, 332, 2, Smoke::mf_static, 338, 37},	//354 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 405, 259, 1, Smoke::mf_static, 336, 38},	//355 QGlobalSpace::qCos(double)
    {29, 357, 335, 2, Smoke::mf_static, 83, 39},	//356 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 343, 315, 2, Smoke::mf_static, 255, 40},	//357 QGlobalSpace::operator>(QChar, QChar)
    {29, 357, 338, 2, Smoke::mf_static, 103, 41},	//358 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 311, 341, 2, Smoke::mf_static, 304, 42},	//359 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 479, 0, 0, Smoke::mf_static, 255, 43},	//360 QGlobalSpace::qSharedBuild()
    {29, 357, 344, 2, Smoke::mf_static, 106, 44},	//361 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 304, 254, 2, Smoke::mf_static, 255, 45},	//362 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 328, 347, 2, Smoke::mf_static, 132, 46},	//363 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 319, 350, 2, Smoke::mf_static, 294, 47},	//364 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 328, 353, 2, Smoke::mf_static, 10, 48},	//365 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 357, 356, 2, Smoke::mf_static, 106, 49},	//366 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 357, 359, 2, Smoke::mf_static, 99, 50},	//367 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 429, 362, 1, Smoke::mf_static, 349, 51},	//368 QGlobalSpace::qHash(char)
    {29, 304, 277, 2, Smoke::mf_static, 255, 52},	//369 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 357, 364, 2, Smoke::mf_static, 86, 53},	//370 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 328, 367, 2, Smoke::mf_static, 13, 54},	//371 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 357, 370, 2, Smoke::mf_static, 106, 55},	//372 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 357, 373, 2, Smoke::mf_static, 106, 56},	//373 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 322, 376, 2, Smoke::mf_static, 294, 57},	//374 QGlobalSpace::operator/(const QPoint&, double)
    {29, 314, 350, 2, Smoke::mf_static, 294, 58},	//375 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 357, 379, 2, Smoke::mf_static, 78, 59},	//376 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 319, 382, 2, Smoke::mf_static, 304, 60},	//377 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 328, 385, 2, Smoke::mf_static, 13, 61},	//378 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 437, 259, 1, Smoke::mf_static, 255, 62},	//379 QGlobalSpace::qIsFinite(double)
    {29, 495, 388, 4, Smoke::mf_static, 258, 63},	//380 QGlobalSpace::qecvt(long double, int, int*, int*)
    {29, 304, 298, 2, Smoke::mf_static, 255, 64},	//381 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 357, 393, 2, Smoke::mf_static, 95, 65},	//382 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 328, 396, 2, Smoke::mf_static, 13, 66},	//383 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 328, 399, 2, Smoke::mf_static, 13, 67},	//384 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 357, 402, 2, Smoke::mf_static, 87, 68},	//385 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 314, 280, 2, Smoke::mf_static, 302, 69},	//386 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 357, 405, 2, Smoke::mf_static, 101, 70},	//387 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 357, 408, 2, Smoke::mf_static, 92, 71},	//388 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 544, 76, 1, Smoke::mf_static, 122, 72},	//389 QGlobalSpace::qt_error_string(int)
    {29, 544, 0, 0, Smoke::mf_static, 122, 73},	//390 QGlobalSpace::qt_error_string()
    {29, 314, 382, 2, Smoke::mf_static, 304, 74},	//391 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 357, 411, 2, Smoke::mf_static, 106, 75},	//392 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 488, 414, 2, Smoke::mf_static, 5, 76},	//393 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 527, 417, 3, Smoke::mf_static, 338, 77},	//394 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 486, 259, 1, Smoke::mf_static, 336, 78},	//395 QGlobalSpace::qTan(double)
    {29, 304, 421, 2, Smoke::mf_static, 255, 79},	//396 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 473, 76, 1, Smoke::mf_static, 135, 80},	//397 QGlobalSpace::qSetFieldWidth(int)
    {29, 357, 424, 2, Smoke::mf_static, 90, 81},	//398 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 419, 259, 1, Smoke::mf_static, 338, 82},	//399 QGlobalSpace::qFloor(double)
    {29, 328, 427, 2, Smoke::mf_static, 13, 83},	//400 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 351, 430, 2, Smoke::mf_static, 10, 84},	//401 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 437, 301, 1, Smoke::mf_static, 255, 85},	//402 QGlobalSpace::qIsFinite(float)
    {29, 314, 433, 2, Smoke::mf_static, 306, 86},	//403 QGlobalSpace::operator+(const QString&, QChar)
    {29, 304, 436, 2, Smoke::mf_static, 255, 87},	//404 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 493, 439, 3, Smoke::mf_static, 0, 88},	//405 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 314, 298, 2, Smoke::mf_static, 260, 89},	//406 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 357, 443, 2, Smoke::mf_static, 85, 90},	//407 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 357, 446, 2, Smoke::mf_static, 98, 91},	//408 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 462, 449, 4, Smoke::mf_static, 356, 92},	//409 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 429, 454, 1, Smoke::mf_static, 349, 93},	//410 QGlobalSpace::qHash(unsigned int)
    {29, 357, 456, 2, Smoke::mf_static, 100, 94},	//411 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 429, 310, 1, Smoke::mf_static, 349, 95},	//412 QGlobalSpace::qHash(QChar)
    {29, 332, 298, 2, Smoke::mf_static, 255, 96},	//413 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 435, 301, 1, Smoke::mf_static, 338, 97},	//414 QGlobalSpace::qIntCast(float)
    {29, 338, 459, 2, Smoke::mf_static, 255, 98},	//415 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 357, 462, 2, Smoke::mf_static, 79, 99},	//416 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 355, 465, 2, Smoke::mf_static, 2, 100},	//417 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 343, 468, 2, Smoke::mf_static, 255, 101},	//418 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 460, 471, 2, Smoke::mf_static, 356, 102},	//419 QGlobalSpace::qRealloc(void*, size_t)
    {29, 429, 3, 1, Smoke::mf_static, 349, 103},	//420 QGlobalSpace::qHash(const QString&)
    {29, 328, 474, 2, Smoke::mf_static, 10, 104},	//421 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 328, 477, 2, Smoke::mf_static, 13, 105},	//422 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 470, 259, 1, Smoke::mf_static, 343, 106},	//423 QGlobalSpace::qRound64(double)
    {29, 433, 480, 1, Smoke::mf_static, 355, 107},	//424 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 482, 259, 1, Smoke::mf_static, 336, 108},	//425 QGlobalSpace::qSqrt(double)
    {29, 429, 482, 1, Smoke::mf_static, 349, 109},	//426 QGlobalSpace::qHash(const QModelIndex&)
    {29, 413, 259, 1, Smoke::mf_static, 336, 110},	//427 QGlobalSpace::qFastCos(double)
    {29, 351, 484, 2, Smoke::mf_static, 10, 111},	//428 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 338, 487, 2, Smoke::mf_static, 255, 112},	//429 QGlobalSpace::operator==(QBool, QBool)
    {29, 338, 490, 2, Smoke::mf_static, 255, 113},	//430 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 357, 493, 2, Smoke::mf_static, 106, 114},	//431 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 441, 301, 1, Smoke::mf_static, 255, 115},	//432 QGlobalSpace::qIsNaN(float)
    {29, 332, 468, 2, Smoke::mf_static, 255, 116},	//433 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 417, 303, 1, Smoke::mf_static, 332, 117},	//434 QGlobalSpace::qFlagLocation(const char*)
    {29, 357, 496, 2, Smoke::mf_static, 106, 118},	//435 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 441, 259, 1, Smoke::mf_static, 255, 119},	//436 QGlobalSpace::qIsNaN(double)
    {29, 314, 499, 2, Smoke::mf_static, 306, 120},	//437 QGlobalSpace::operator+(QChar, const QString&)
    {29, 357, 502, 2, Smoke::mf_static, 106, 121},	//438 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 357, 505, 2, Smoke::mf_static, 106, 122},	//439 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 351, 508, 2, Smoke::mf_static, 10, 123},	//440 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 538, 511, 3, Smoke::mf_static, 0, 124},	//441 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 429, 515, 1, Smoke::mf_static, 349, 125},	//442 QGlobalSpace::qHash(long long)
    {29, 304, 517, 2, Smoke::mf_static, 255, 126},	//443 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 499, 388, 4, Smoke::mf_static, 258, 127},	//444 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {29, 357, 520, 2, Smoke::mf_static, 106, 128},	//445 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 357, 523, 2, Smoke::mf_static, 85, 129},	//446 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 304, 312, 2, Smoke::mf_static, 255, 130},	//447 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 319, 289, 2, Smoke::mf_static, 296, 131},	//448 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 338, 436, 2, Smoke::mf_static, 255, 132},	//449 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 357, 526, 2, Smoke::mf_static, 93, 133},	//450 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 324, 468, 2, Smoke::mf_static, 255, 134},	//451 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 357, 529, 2, Smoke::mf_static, 103, 135},	//452 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 427, 301, 1, Smoke::mf_static, 255, 136},	//453 QGlobalSpace::qFuzzyIsNull(float)
    {29, 357, 532, 2, Smoke::mf_static, 97, 137},	//454 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 519, 535, 2, Smoke::mf_static, 258, 138},	//455 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 429, 76, 1, Smoke::mf_static, 349, 139},	//456 QGlobalSpace::qHash(int)
    {29, 314, 289, 2, Smoke::mf_static, 296, 140},	//457 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 357, 538, 2, Smoke::mf_static, 88, 141},	//458 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 338, 382, 2, Smoke::mf_static, 255, 142},	//459 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 319, 541, 1, Smoke::mf_static, 294, 143},	//460 QGlobalSpace::operator-(const QPoint&)
    {29, 357, 543, 2, Smoke::mf_static, 106, 144},	//461 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 328, 546, 2, Smoke::mf_static, 10, 145},	//462 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 357, 549, 2, Smoke::mf_static, 106, 146},	//463 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 477, 76, 1, Smoke::mf_static, 135, 147},	//464 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 409, 259, 1, Smoke::mf_static, 336, 148},	//465 QGlobalSpace::qExp(double)
    {29, 338, 552, 2, Smoke::mf_static, 255, 149},	//466 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 445, 259, 1, Smoke::mf_static, 336, 150},	//467 QGlobalSpace::qLn(double)
    {29, 553, 76, 1, Smoke::mf_static, 0, 151},	//468 QGlobalSpace::quick_exit(int)
    {29, 304, 382, 2, Smoke::mf_static, 255, 152},	//469 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 464, 555, 1, Smoke::mf_static, 0, 153},	//470 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 398, 267, 2, Smoke::mf_static, 352, 154},	//471 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 357, 557, 2, Smoke::mf_static, 96, 155},	//472 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 447, 560, 1, Smoke::mf_static, 356, 156},	//473 QGlobalSpace::qMalloc(size_t)
    {29, 459, 0, 0, Smoke::mf_static, 336, 157},	//474 QGlobalSpace::qQNaN()
    {29, 357, 562, 2, Smoke::mf_static, 89, 158},	//475 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 351, 565, 2, Smoke::mf_static, 10, 159},	//476 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 507, 283, 2, Smoke::mf_static, 255, 160},	//477 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 328, 568, 2, Smoke::mf_static, 13, 161},	//478 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 357, 571, 2, Smoke::mf_static, 106, 162},	//479 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 512, 454, 1, Smoke::mf_static, 0, 163},	//480 QGlobalSpace::qsrand(unsigned int)
    {29, 429, 574, 1, Smoke::mf_static, 349, 164},	//481 QGlobalSpace::qHash(long)
    {29, 311, 576, 2, Smoke::mf_static, 294, 165},	//482 QGlobalSpace::operator*(int, const QPoint&)
    {29, 343, 254, 2, Smoke::mf_static, 255, 166},	//483 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 429, 579, 1, Smoke::mf_static, 349, 167},	//484 QGlobalSpace::qHash(unsigned short)
    {29, 351, 581, 2, Smoke::mf_static, 10, 168},	//485 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 304, 289, 2, Smoke::mf_static, 255, 169},	//486 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 357, 584, 2, Smoke::mf_static, 80, 170},	//487 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 531, 417, 3, Smoke::mf_static, 338, 171},	//488 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 351, 587, 2, Smoke::mf_static, 10, 172},	//489 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 338, 326, 2, Smoke::mf_static, 255, 173},	//490 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 338, 421, 2, Smoke::mf_static, 255, 174},	//491 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 314, 468, 2, Smoke::mf_static, 260, 175},	//492 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 429, 590, 1, Smoke::mf_static, 349, 176},	//493 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 328, 592, 2, Smoke::mf_static, 10, 177},	//494 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 328, 595, 2, Smoke::mf_static, 10, 178},	//495 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 549, 598, 3, Smoke::mf_static, 113, 179},	//496 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 357, 602, 2, Smoke::mf_static, 84, 180},	//497 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 322, 605, 2, Smoke::mf_static, 296, 181},	//498 QGlobalSpace::operator/(const QPointF&, double)
    {29, 304, 608, 2, Smoke::mf_static, 255, 182},	//499 QGlobalSpace::operator!=(bool, QBool)
    {29, 529, 611, 3, Smoke::mf_static, 258, 183},	//500 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 488, 126, 1, Smoke::mf_static, 5, 184},	//501 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 328, 615, 2, Smoke::mf_static, 10, 185},	//502 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 351, 618, 2, Smoke::mf_static, 10, 186},	//503 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 357, 621, 2, Smoke::mf_static, 106, 187},	//504 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 319, 624, 1, Smoke::mf_static, 296, 188},	//505 QGlobalSpace::operator-(const QPointF&)
    {29, 338, 608, 2, Smoke::mf_static, 255, 189},	//506 QGlobalSpace::operator==(bool, QBool)
    {29, 509, 0, 0, Smoke::mf_static, 338, 190},	//507 QGlobalSpace::qrand()
    {29, 328, 626, 2, Smoke::mf_static, 13, 191},	//508 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 540, 629, 4, Smoke::mf_static, 0, 192},	//509 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 311, 634, 2, Smoke::mf_static, 294, 193},	//510 QGlobalSpace::operator*(float, const QPoint&)
    {29, 309, 465, 2, Smoke::mf_static, 2, 194},	//511 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 347, 283, 2, Smoke::mf_static, 255, 195},	//512 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 357, 637, 2, Smoke::mf_static, 98, 196},	//513 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 357, 640, 2, Smoke::mf_static, 106, 197},	//514 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 304, 643, 2, Smoke::mf_static, 255, 198},	//515 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 407, 0, 0, Smoke::mf_static, 13, 199},	//516 QGlobalSpace::qCritical()
    {29, 357, 646, 2, Smoke::mf_static, 92, 200},	//517 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 304, 283, 2, Smoke::mf_static, 255, 201},	//518 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 304, 350, 2, Smoke::mf_static, 255, 202},	//519 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 338, 643, 2, Smoke::mf_static, 255, 203},	//520 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 328, 649, 2, Smoke::mf_static, 10, 204},	//521 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 314, 652, 2, Smoke::mf_static, 260, 205},	//522 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 357, 655, 2, Smoke::mf_static, 78, 206},	//523 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 357, 658, 2, Smoke::mf_static, 76, 207},	//524 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 351, 661, 2, Smoke::mf_static, 10, 208},	//525 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 322, 664, 2, Smoke::mf_static, 304, 209},	//526 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 328, 667, 2, Smoke::mf_static, 10, 210},	//527 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 338, 350, 2, Smoke::mf_static, 255, 211},	//528 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 386, 670, 1, Smoke::mf_static, 0, 212},	//529 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 400, 672, 3, Smoke::mf_static, 5, 213},	//530 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 400, 414, 2, Smoke::mf_static, 5, 214},	//531 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 332, 283, 2, Smoke::mf_static, 255, 215},	//532 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 415, 259, 1, Smoke::mf_static, 336, 216},	//533 QGlobalSpace::qFastSin(double)
    {29, 332, 254, 2, Smoke::mf_static, 255, 217},	//534 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 328, 676, 2, Smoke::mf_static, 10, 218},	//535 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 351, 679, 2, Smoke::mf_static, 10, 219},	//536 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 388, 0, 0, Smoke::mf_static, 122, 220},	//537 QGlobalSpace::qAppName()
    {29, 491, 0, 0, Smoke::mf_static, 332, 221},	//538 QGlobalSpace::qVersion()
    {29, 421, 682, 1, Smoke::mf_static, 0, 222},	//539 QGlobalSpace::qFree(void*)
    {29, 357, 684, 2, Smoke::mf_static, 106, 223},	//540 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 423, 682, 1, Smoke::mf_static, 0, 224},	//541 QGlobalSpace::qFreeAligned(void*)
    {29, 338, 517, 2, Smoke::mf_static, 255, 225},	//542 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 328, 687, 2, Smoke::mf_static, 13, 226},	//543 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 328, 690, 2, Smoke::mf_static, 132, 227},	//544 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 324, 298, 2, Smoke::mf_static, 255, 228},	//545 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 328, 693, 2, Smoke::mf_static, 13, 229},	//546 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 357, 696, 2, Smoke::mf_static, 79, 230},	//547 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 429, 699, 1, Smoke::mf_static, 349, 231},	//548 QGlobalSpace::qHash(const QBitArray&)
    {29, 328, 701, 2, Smoke::mf_static, 13, 232},	//549 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 328, 704, 2, Smoke::mf_static, 132, 233},	//550 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 396, 259, 1, Smoke::mf_static, 338, 234},	//551 QGlobalSpace::qCeil(double)
    {29, 304, 315, 2, Smoke::mf_static, 255, 235},	//552 QGlobalSpace::operator!=(QChar, QChar)
    {29, 357, 707, 2, Smoke::mf_static, 91, 236},	//553 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 484, 710, 2, Smoke::mf_static, 255, 237},	//554 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 521, 303, 1, Smoke::mf_static, 258, 238},	//555 QGlobalSpace::qstrdup(const char*)
    {29, 351, 713, 2, Smoke::mf_static, 10, 239},	//556 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 304, 490, 2, Smoke::mf_static, 255, 240},	//557 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 408, 0, 0, Smoke::mf_static, 13, 241},	//558 QGlobalSpace::qDebug()
    {29, 449, 716, 2, Smoke::mf_static, 356, 242},	//559 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 304, 710, 2, Smoke::mf_static, 255, 243},	//560 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 497, 719, 6, Smoke::mf_static, 338, 244},	//561 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {29, 457, 292, 2, Smoke::mf_static, 336, 245},	//562 QGlobalSpace::qPow(double, double)
    {29, 328, 726, 2, Smoke::mf_static, 13, 246},	//563 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 357, 729, 2, Smoke::mf_static, 106, 247},	//564 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 351, 690, 2, Smoke::mf_static, 132, 248},	//565 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 314, 732, 2, Smoke::mf_static, 260, 249},	//566 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 338, 283, 2, Smoke::mf_static, 255, 250},	//567 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 328, 735, 2, Smoke::mf_static, 10, 251},	//568 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 319, 280, 2, Smoke::mf_static, 302, 252},	//569 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 328, 738, 2, Smoke::mf_static, 13, 253},	//570 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 357, 741, 2, Smoke::mf_static, 106, 254},	//571 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 351, 744, 2, Smoke::mf_static, 10, 255},	//572 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 304, 552, 2, Smoke::mf_static, 255, 256},	//573 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 328, 747, 2, Smoke::mf_static, 13, 257},	//574 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 357, 750, 2, Smoke::mf_static, 95, 258},	//575 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 311, 753, 2, Smoke::mf_static, 296, 259},	//576 QGlobalSpace::operator*(double, const QPointF&)
    {29, 351, 756, 2, Smoke::mf_static, 10, 260},	//577 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {29, 357, 759, 2, Smoke::mf_static, 90, 261},	//578 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 338, 254, 2, Smoke::mf_static, 255, 262},	//579 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 311, 762, 2, Smoke::mf_static, 302, 263},	//580 QGlobalSpace::operator*(const QSize&, double)
    {29, 328, 765, 2, Smoke::mf_static, 13, 264},	//581 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 357, 768, 2, Smoke::mf_static, 76, 265},	//582 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 557, 771, 4, Smoke::mf_static, 338, 266},	//583 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 311, 776, 2, Smoke::mf_static, 294, 267},	//584 QGlobalSpace::operator*(double, const QPoint&)
    {29, 453, 779, 3, Smoke::mf_static, 356, 268},	//585 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 328, 783, 2, Smoke::mf_static, 10, 269},	//586 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 542, 786, 2, Smoke::mf_static, 0, 270},	//587 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 429, 789, 1, Smoke::mf_static, 349, 271},	//588 QGlobalSpace::qHash(short)
    {29, 357, 791, 2, Smoke::mf_static, 81, 272},	//589 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 411, 259, 1, Smoke::mf_static, 336, 273},	//590 QGlobalSpace::qFabs(double)
    {29, 357, 794, 2, Smoke::mf_static, 89, 274},	//591 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 357, 797, 2, Smoke::mf_static, 77, 275},	//592 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 514, 468, 2, Smoke::mf_static, 338, 276},	//593 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 425, 800, 2, Smoke::mf_static, 255, 277},	//594 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 338, 803, 2, Smoke::mf_static, 255, 278},	//595 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 357, 806, 2, Smoke::mf_static, 82, 279},	//596 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 501, 719, 6, Smoke::mf_static, 338, 280},	//597 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {29, 503, 809, 3, Smoke::mf_static, 258, 281},	//598 QGlobalSpace::qgcvt(long double, int, char*)
    {29, 510, 813, 4, Smoke::mf_static, 0, 282},	//599 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {29, 384, 259, 1, Smoke::mf_static, 336, 283},	//600 QGlobalSpace::qAcos(double)
    {29, 357, 818, 2, Smoke::mf_static, 106, 284},	//601 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 357, 821, 2, Smoke::mf_static, 93, 285},	//602 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 347, 468, 2, Smoke::mf_static, 255, 286},	//603 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 395, 0, 0, Smoke::mf_static, 0, 287},	//604 QGlobalSpace::qBadAlloc()
    {29, 328, 824, 2, Smoke::mf_static, 13, 288},	//605 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 357, 827, 2, Smoke::mf_static, 99, 289},	//606 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 357, 830, 2, Smoke::mf_static, 106, 290},	//607 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 427, 259, 1, Smoke::mf_static, 255, 291},	//608 QGlobalSpace::qFuzzyIsNull(double)
    {29, 400, 833, 2, Smoke::mf_static, 5, 292},	//609 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 400, 126, 1, Smoke::mf_static, 5, 293},	//610 QGlobalSpace::qCompress(const QByteArray&)
    {29, 357, 836, 2, Smoke::mf_static, 87, 294},	//611 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 357, 839, 2, Smoke::mf_static, 106, 295},	//612 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 357, 842, 2, Smoke::mf_static, 102, 296},	//613 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 357, 845, 2, Smoke::mf_static, 75, 297},	//614 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 328, 848, 2, Smoke::mf_static, 10, 298},	//615 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 328, 851, 2, Smoke::mf_static, 10, 299},	//616 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {29, 328, 854, 2, Smoke::mf_static, 10, 300},	//617 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 389, 259, 1, Smoke::mf_static, 336, 301},	//618 QGlobalSpace::qAsin(double)
    {29, 328, 857, 2, Smoke::mf_static, 13, 302},	//619 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 357, 860, 2, Smoke::mf_static, 77, 303},	//620 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 304, 459, 2, Smoke::mf_static, 255, 304},	//621 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 480, 259, 1, Smoke::mf_static, 336, 305},	//622 QGlobalSpace::qSin(double)
    {29, 357, 863, 2, Smoke::mf_static, 106, 306},	//623 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 338, 468, 2, Smoke::mf_static, 255, 307},	//624 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 351, 866, 2, Smoke::mf_static, 10, 308},	//625 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 357, 465, 2, Smoke::mf_static, 2, 309},	//626 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 328, 869, 2, Smoke::mf_static, 10, 310},	//627 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 328, 872, 2, Smoke::mf_static, 10, 311},	//628 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 357, 875, 2, Smoke::mf_static, 106, 312},	//629 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 328, 878, 2, Smoke::mf_static, 10, 313},	//630 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 535, 786, 2, Smoke::mf_static, 122, 314},	//631 QGlobalSpace::qtTrId(const char*, int)
    {29, 535, 303, 1, Smoke::mf_static, 122, 315},	//632 QGlobalSpace::qtTrId(const char*)
    {29, 328, 881, 2, Smoke::mf_static, 13, 316},	//633 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 332, 315, 2, Smoke::mf_static, 255, 317},	//634 QGlobalSpace::operator<=(QChar, QChar)
    {29, 357, 884, 2, Smoke::mf_static, 102, 318},	//635 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 304, 803, 2, Smoke::mf_static, 255, 319},	//636 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 357, 887, 2, Smoke::mf_static, 94, 320},	//637 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 351, 890, 2, Smoke::mf_static, 10, 321},	//638 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 311, 893, 2, Smoke::mf_static, 294, 322},	//639 QGlobalSpace::operator*(const QPoint&, int)
    {29, 351, 896, 2, Smoke::mf_static, 10, 323},	//640 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 555, 899, 3, Smoke::mf_static, 255, 324},	//641 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 322, 762, 2, Smoke::mf_static, 302, 325},	//642 QGlobalSpace::operator/(const QSize&, double)
    {29, 443, 301, 1, Smoke::mf_static, 255, 326},	//643 QGlobalSpace::qIsNull(float)
    {29, 551, 903, 5, Smoke::mf_static, 0, 327},	//644 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 338, 909, 2, Smoke::mf_static, 255, 328},	//645 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 391, 259, 1, Smoke::mf_static, 336, 329},	//646 QGlobalSpace::qAtan(double)
    {29, 351, 912, 2, Smoke::mf_static, 10, 330},	//647 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 357, 915, 2, Smoke::mf_static, 106, 331},	//648 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 425, 292, 2, Smoke::mf_static, 255, 332},	//649 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 311, 376, 2, Smoke::mf_static, 294, 333},	//650 QGlobalSpace::operator*(const QPoint&, double)
    {29, 357, 918, 2, Smoke::mf_static, 91, 334},	//651 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 357, 921, 2, Smoke::mf_static, 81, 335},	//652 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 472, 0, 0, Smoke::mf_static, 336, 336},	//653 QGlobalSpace::qSNaN()
    {29, 338, 298, 2, Smoke::mf_static, 255, 337},	//654 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 311, 664, 2, Smoke::mf_static, 304, 338},	//655 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 338, 710, 2, Smoke::mf_static, 255, 339},	//656 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 311, 924, 2, Smoke::mf_static, 294, 340},	//657 QGlobalSpace::operator*(const QPoint&, float)
    {29, 311, 927, 2, Smoke::mf_static, 302, 341},	//658 QGlobalSpace::operator*(double, const QSize&)
    {29, 324, 254, 2, Smoke::mf_static, 255, 342},	//659 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 304, 930, 2, Smoke::mf_static, 255, 343},	//660 QGlobalSpace::operator!=(QBool, bool)
    {29, 304, 280, 2, Smoke::mf_static, 255, 344},	//661 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 351, 933, 2, Smoke::mf_static, 10, 345},	//662 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 328, 936, 2, Smoke::mf_static, 13, 346},	//663 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 357, 939, 2, Smoke::mf_static, 86, 347},	//664 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 311, 605, 2, Smoke::mf_static, 296, 348},	//665 QGlobalSpace::operator*(const QPointF&, double)
    {29, 523, 332, 2, Smoke::mf_static, 338, 349},	//666 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 357, 942, 2, Smoke::mf_static, 97, 350},	//667 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 304, 307, 2, Smoke::mf_static, 255, 351},	//668 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 468, 259, 1, Smoke::mf_static, 338, 352},	//669 QGlobalSpace::qRound(double)
    {29, 432, 0, 0, Smoke::mf_static, 336, 353},	//670 QGlobalSpace::qInf()
    {29, 328, 945, 2, Smoke::mf_static, 10, 354},	//671 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 357, 948, 2, Smoke::mf_static, 94, 355},	//672 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 328, 951, 2, Smoke::mf_static, 10, 356},	//673 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 357, 954, 2, Smoke::mf_static, 82, 357},	//674 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 357, 957, 2, Smoke::mf_static, 106, 358},	//675 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 514, 298, 2, Smoke::mf_static, 338, 359},	//676 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 466, 670, 1, Smoke::mf_static, 0, 360},	//677 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 351, 960, 2, Smoke::mf_static, 10, 361},	//678 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 328, 963, 2, Smoke::mf_static, 10, 362},	//679 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 357, 966, 2, Smoke::mf_static, 96, 363},	//680 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 357, 969, 2, Smoke::mf_static, 88, 364},	//681 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 492, 0, 0, Smoke::mf_static, 13, 365},	//682 QGlobalSpace::qWarning()
    {29, 525, 303, 1, Smoke::mf_static, 349, 366},	//683 QGlobalSpace::qstrlen(const char*)
    {29, 338, 930, 2, Smoke::mf_static, 255, 367},	//684 QGlobalSpace::operator==(QBool, bool)
    {29, 351, 972, 2, Smoke::mf_static, 10, 368},	//685 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 351, 975, 2, Smoke::mf_static, 10, 369},	//686 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 429, 978, 1, Smoke::mf_static, 349, 370},	//687 QGlobalSpace::qHash(unsigned long)
    {29, 328, 980, 2, Smoke::mf_static, 10, 371},	//688 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 328, 983, 2, Smoke::mf_static, 10, 372},	//689 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 357, 986, 2, Smoke::mf_static, 83, 373},	//690 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 357, 989, 2, Smoke::mf_static, 84, 374},	//691 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 314, 25, 2, Smoke::mf_static, 306, 375},	//692 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 304, 487, 2, Smoke::mf_static, 255, 376},	//693 QGlobalSpace::operator!=(QBool, QBool)
    {29, 357, 992, 2, Smoke::mf_static, 75, 377},	//694 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 546, 995, 2, Smoke::mf_static, 0, 378},	//695 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 429, 998, 1, Smoke::mf_static, 349, 379},	//696 QGlobalSpace::qHash(const QStringRef&)
    {29, 443, 259, 1, Smoke::mf_static, 255, 380},	//697 QGlobalSpace::qIsNull(double)
    {29, 357, 1000, 2, Smoke::mf_static, 106, 381},	//698 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 343, 298, 2, Smoke::mf_static, 255, 382},	//699 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 429, 1003, 1, Smoke::mf_static, 349, 383},	//700 QGlobalSpace::qHash(unsigned char)
    {29, 351, 1005, 2, Smoke::mf_static, 10, 384},	//701 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 328, 1008, 2, Smoke::mf_static, 13, 385},	//702 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 357, 1011, 2, Smoke::mf_static, 106, 386},	//703 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 304, 468, 2, Smoke::mf_static, 255, 387},	//704 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 351, 1014, 2, Smoke::mf_static, 10, 388},	//705 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 328, 1017, 2, Smoke::mf_static, 10, 389},	//706 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 390},	//707 QGlobalSpace::_IEEE_ (enum)
    {29, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 391},	//708 QGlobalSpace::_SVID_ (enum)
    {29, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 392},	//709 QGlobalSpace::_XOPEN_ (enum)
    {29, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 393},	//710 QGlobalSpace::_POSIX_ (enum)
    {29, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 394},	//711 QGlobalSpace::_ISOC_ (enum)
    {29, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 395},	//712 QGlobalSpace::LicensedGui (enum)
    {29, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 396},	//713 QGlobalSpace::LicensedXml (enum)
    {29, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 397},	//714 QGlobalSpace::LicensedQt3SupportLight (enum)
    {29, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 398},	//715 QGlobalSpace::LicensedScript (enum)
    {29, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 399},	//716 QGlobalSpace::LicensedOpenVG (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 400},	//717 QGlobalSpace::LicensedDBus (enum)
    {29, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 401},	//718 QGlobalSpace::LicensedTest (enum)
    {29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 402},	//719 QGlobalSpace::LicensedActiveQt (enum)
    {29, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 403},	//720 QGlobalSpace::LicensedScriptTools (enum)
    {29, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 404},	//721 QGlobalSpace::LicensedSvg (enum)
    {29, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 405},	//722 QGlobalSpace::LicensedDeclarative (enum)
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 406},	//723 QGlobalSpace::LicensedSql (enum)
    {29, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 407},	//724 QGlobalSpace::LicensedOpenGL (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 408},	//725 QGlobalSpace::LicensedCore (enum)
    {29, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 409},	//726 QGlobalSpace::QtDebugMsg (enum)
    {29, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 410},	//727 QGlobalSpace::QtWarningMsg (enum)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 411},	//728 QGlobalSpace::QtCriticalMsg (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 412},	//729 QGlobalSpace::QtFatalMsg (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 413},	//730 QGlobalSpace::QtSystemMsg (enum)
    {29, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 414},	//731 QGlobalSpace::LicensedHelp (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 415},	//732 QGlobalSpace::LicensedMultimedia (enum)
    {29, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 416},	//733 QGlobalSpace::LicensedQt3Support (enum)
    {29, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 417},	//734 QGlobalSpace::LicensedXmlPatterns (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 418},	//735 QGlobalSpace::LicensedNetwork (enum)
    {29, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 419},	//736 QGlobalSpace::__codecvt_ok (enum)
    {29, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 420},	//737 QGlobalSpace::__codecvt_partial (enum)
    {29, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 421},	//738 QGlobalSpace::__codecvt_error (enum)
    {29, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 422},	//739 QGlobalSpace::__codecvt_noconv (enum)
    {59, 75, 0, 0, Smoke::mf_ctor, 143, 1},	//740 QXmlAttributes::QXmlAttributes()
    {59, 244, 3, 1, Smoke::mf_const, 338, 2},	//741 QXmlAttributes::index(const QString&) const
    {59, 244, 1020, 1, Smoke::mf_const, 338, 3},	//742 QXmlAttributes::index(const QLatin1String&) const
    {59, 244, 25, 2, Smoke::mf_const, 338, 4},	//743 QXmlAttributes::index(const QString&, const QString&) const
    {59, 280, 0, 0, Smoke::mf_const, 338, 5},	//744 QXmlAttributes::length() const
    {59, 160, 0, 0, Smoke::mf_const, 338, 6},	//745 QXmlAttributes::count() const
    {59, 283, 76, 1, Smoke::mf_const, 122, 7},	//746 QXmlAttributes::localName(int) const
    {59, 455, 76, 1, Smoke::mf_const, 122, 8},	//747 QXmlAttributes::qName(int) const
    {59, 697, 76, 1, Smoke::mf_const, 122, 9},	//748 QXmlAttributes::uri(int) const
    {59, 692, 76, 1, Smoke::mf_const, 122, 10},	//749 QXmlAttributes::type(int) const
    {59, 692, 3, 1, Smoke::mf_const, 122, 11},	//750 QXmlAttributes::type(const QString&) const
    {59, 692, 25, 2, Smoke::mf_const, 122, 12},	//751 QXmlAttributes::type(const QString&, const QString&) const
    {59, 699, 76, 1, Smoke::mf_const, 122, 13},	//752 QXmlAttributes::value(int) const
    {59, 699, 3, 1, Smoke::mf_const, 122, 14},	//753 QXmlAttributes::value(const QString&) const
    {59, 699, 1020, 1, Smoke::mf_const, 122, 15},	//754 QXmlAttributes::value(const QLatin1String&) const
    {59, 699, 25, 2, Smoke::mf_const, 122, 16},	//755 QXmlAttributes::value(const QString&, const QString&) const
    {59, 150, 0, 0, 0, 0, 17},	//756 QXmlAttributes::clear()
    {59, 124, 1022, 4, 0, 0, 18},	//757 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 75, 1027, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 19},	//758 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 762, 0, 0, Smoke::mf_dtor, 0, 20 },	//759 QXmlAttributes::~QXmlAttributes()
    {60, 622, 1029, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//760 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 662, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//761 QXmlContentHandler::startDocument() [pure virtual]
    {60, 199, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//762 QXmlContentHandler::endDocument() [pure virtual]
    {60, 667, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 4},	//763 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 204, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 5},	//764 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 663, 1031, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 6},	//765 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 200, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 7},	//766 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 147, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 8},	//767 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 238, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 9},	//768 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 377, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 10},	//769 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 652, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 11},	//770 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 12},	//771 QXmlContentHandler::errorString() const [pure virtual]
    {60, 77, 0, 0, Smoke::mf_ctor, 144, 13},	//772 QXmlContentHandler::QXmlContentHandler()
    {60, 77, 1036, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 14},	//773 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 763, 0, 0, Smoke::mf_dtor, 0, 15 },	//774 QXmlContentHandler::~QXmlContentHandler()
    {61, 300, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//775 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 695, 1022, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//776 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 3},	//777 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 79, 0, 0, Smoke::mf_ctor, 145, 4},	//778 QXmlDTDHandler::QXmlDTDHandler()
    {61, 79, 1038, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 5},	//779 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 764, 0, 0, Smoke::mf_dtor, 0, 6 },	//780 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 135, 1040, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//781 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 254, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//782 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 212, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//783 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//784 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 81, 0, 0, Smoke::mf_ctor, 146, 5},	//785 QXmlDeclHandler::QXmlDeclHandler()
    {62, 81, 1046, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 6},	//786 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 765, 0, 0, Smoke::mf_dtor, 0, 7 },	//787 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 83, 0, 0, Smoke::mf_ctor, 147, 1},	//788 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 622, 1029, 1, Smoke::mf_virtual, 0, 2},	//789 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 662, 0, 0, Smoke::mf_virtual, 255, 3},	//790 QXmlDefaultHandler::startDocument()
    {63, 199, 0, 0, Smoke::mf_virtual, 255, 4},	//791 QXmlDefaultHandler::endDocument()
    {63, 667, 25, 2, Smoke::mf_virtual, 255, 5},	//792 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 204, 3, 1, Smoke::mf_virtual, 255, 6},	//793 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 663, 1031, 4, Smoke::mf_virtual, 255, 7},	//794 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 200, 218, 3, Smoke::mf_virtual, 255, 8},	//795 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 147, 3, 1, Smoke::mf_virtual, 255, 9},	//796 QXmlDefaultHandler::characters(const QString&)
    {63, 238, 3, 1, Smoke::mf_virtual, 255, 10},	//797 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 377, 25, 2, Smoke::mf_virtual, 255, 11},	//798 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 652, 3, 1, Smoke::mf_virtual, 255, 12},	//799 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 703, 1048, 1, Smoke::mf_virtual, 255, 13},	//800 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 208, 1048, 1, Smoke::mf_virtual, 255, 14},	//801 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 214, 1048, 1, Smoke::mf_virtual, 255, 15},	//802 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 300, 218, 3, Smoke::mf_virtual, 255, 16},	//803 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 695, 1022, 4, Smoke::mf_virtual, 255, 17},	//804 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 576, 1050, 3, Smoke::mf_virtual, 255, 18},	//805 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 660, 218, 3, Smoke::mf_virtual, 255, 19},	//806 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 198, 0, 0, Smoke::mf_virtual, 255, 20},	//807 QXmlDefaultHandler::endDTD()
    {63, 665, 3, 1, Smoke::mf_virtual, 255, 21},	//808 QXmlDefaultHandler::startEntity(const QString&)
    {63, 202, 3, 1, Smoke::mf_virtual, 255, 22},	//809 QXmlDefaultHandler::endEntity(const QString&)
    {63, 659, 0, 0, Smoke::mf_virtual, 255, 23},	//810 QXmlDefaultHandler::startCDATA()
    {63, 197, 0, 0, Smoke::mf_virtual, 255, 24},	//811 QXmlDefaultHandler::endCDATA()
    {63, 155, 3, 1, Smoke::mf_virtual, 255, 25},	//812 QXmlDefaultHandler::comment(const QString&)
    {63, 135, 1040, 5, Smoke::mf_virtual, 255, 26},	//813 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 254, 25, 2, Smoke::mf_virtual, 255, 27},	//814 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 212, 218, 3, Smoke::mf_virtual, 255, 28},	//815 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 29},	//816 QXmlDefaultHandler::errorString() const
    {63, 766, 0, 0, Smoke::mf_dtor, 0, 30 },	//817 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 576, 1050, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//818 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 2},	//819 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 84, 0, 0, Smoke::mf_ctor, 148, 3},	//820 QXmlEntityResolver::QXmlEntityResolver()
    {64, 84, 1054, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//821 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 767, 0, 0, Smoke::mf_dtor, 0, 5 },	//822 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 703, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//823 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 208, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//824 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 214, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//825 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//826 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 86, 0, 0, Smoke::mf_ctor, 149, 5},	//827 QXmlErrorHandler::QXmlErrorHandler()
    {65, 86, 1056, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 6},	//828 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 768, 0, 0, Smoke::mf_dtor, 0, 7 },	//829 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 88, 0, 0, Smoke::mf_ctor, 150, 1},	//830 QXmlInputSource::QXmlInputSource()
    {66, 88, 142, 1, Smoke::mf_ctor, 150, 2},	//831 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 615, 3, 1, Smoke::mf_virtual, 0, 3},	//832 QXmlInputSource::setData(const QString&)
    {66, 615, 126, 1, Smoke::mf_virtual, 0, 4},	//833 QXmlInputSource::setData(const QByteArray&)
    {66, 219, 0, 0, Smoke::mf_virtual, 0, 5},	//834 QXmlInputSource::fetchData()
    {66, 184, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 6},	//835 QXmlInputSource::data() const
    {66, 292, 0, 0, Smoke::mf_virtual, 8, 7},	//836 QXmlInputSource::next()
    {66, 575, 0, 0, Smoke::mf_virtual, 0, 8},	//837 QXmlInputSource::reset()
    {66, 223, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 122, 9},	//838 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 88, 1058, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 10},	//839 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 223, 126, 1, Smoke::mf_protected, 122, 11},	//840 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 334, 12},	//841 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 334, 13},	//842 QXmlInputSource::EndOfDocument() const
    {66, 769, 0, 0, Smoke::mf_dtor, 0, 14 },	//843 QXmlInputSource::~QXmlInputSource()
    {67, 660, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//844 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 198, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 2},	//845 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 665, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//846 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 202, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 4},	//847 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 659, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 5},	//848 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 197, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 6},	//849 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 155, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 7},	//850 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 211, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 8},	//851 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 90, 0, 0, Smoke::mf_ctor, 152, 9},	//852 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 90, 1060, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 10},	//853 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 770, 0, 0, Smoke::mf_dtor, 0, 11 },	//854 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 92, 0, 0, Smoke::mf_ctor, 153, 1},	//855 QXmlLocator::QXmlLocator()
    {68, 154, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 338, 2},	//856 QXmlLocator::columnNumber() const [pure virtual]
    {68, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 338, 3},	//857 QXmlLocator::lineNumber() const [pure virtual]
    {68, 92, 1062, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 4},	//858 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 771, 0, 0, Smoke::mf_dtor, 0, 5 },	//859 QXmlLocator::~QXmlLocator()
    {69, 94, 0, 0, Smoke::mf_ctor, 154, 1},	//860 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 642, 25, 2, 0, 0, 2},	//861 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 368, 3, 1, Smoke::mf_const, 122, 3},	//862 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 697, 3, 1, Smoke::mf_const, 122, 4},	//863 QXmlNamespaceSupport::uri(const QString&) const
    {69, 655, 1064, 3, Smoke::mf_const, 0, 5},	//864 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 375, 1068, 4, Smoke::mf_const, 0, 6},	//865 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 370, 0, 0, Smoke::mf_const, 127, 7},	//866 QXmlNamespaceSupport::prefixes() const
    {69, 370, 3, 1, Smoke::mf_const, 127, 8},	//867 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 383, 0, 0, 0, 0, 9},	//868 QXmlNamespaceSupport::pushContext()
    {69, 367, 0, 0, 0, 0, 10},	//869 QXmlNamespaceSupport::popContext()
    {69, 575, 0, 0, 0, 0, 11},	//870 QXmlNamespaceSupport::reset()
    {69, 772, 0, 0, Smoke::mf_dtor, 0, 12 },	//871 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 95, 1073, 5, Smoke::mf_ctor, 155, 1},	//872 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 95, 1048, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//873 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 154, 0, 0, Smoke::mf_const, 338, 3},	//874 QXmlParseException::columnNumber() const
    {70, 282, 0, 0, Smoke::mf_const, 338, 4},	//875 QXmlParseException::lineNumber() const
    {70, 382, 0, 0, Smoke::mf_const, 122, 5},	//876 QXmlParseException::publicId() const
    {70, 671, 0, 0, Smoke::mf_const, 122, 6},	//877 QXmlParseException::systemId() const
    {70, 285, 0, 0, Smoke::mf_const, 122, 7},	//878 QXmlParseException::message() const
    {70, 95, 0, 0, Smoke::mf_ctor, 155, 8},	//879 QXmlParseException::QXmlParseException()
    {70, 95, 3, 1, Smoke::mf_ctor, 155, 9},	//880 QXmlParseException::QXmlParseException(const QString&)
    {70, 95, 173, 2, Smoke::mf_ctor, 155, 10},	//881 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 95, 1079, 3, Smoke::mf_ctor, 155, 11},	//882 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 95, 1083, 4, Smoke::mf_ctor, 155, 12},	//883 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 773, 0, 0, Smoke::mf_dtor, 0, 13 },	//884 QXmlParseException::~QXmlParseException()
    {71, 216, 1088, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 1},	//885 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 628, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//886 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 233, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 3},	//887 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 379, 1088, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 356, 4},	//888 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 645, 1091, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//889 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 236, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 6},	//890 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 624, 1094, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//891 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 8},	//892 QXmlReader::entityResolver() const [pure virtual]
    {71, 613, 1096, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//893 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 10},	//894 QXmlReader::DTDHandler() const [pure virtual]
    {71, 611, 1098, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//895 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 159, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 12},	//896 QXmlReader::contentHandler() const [pure virtual]
    {71, 626, 1100, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//897 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 210, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 14},	//898 QXmlReader::errorHandler() const [pure virtual]
    {71, 634, 1102, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//899 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 281, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 16},	//900 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 618, 1104, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//901 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 18},	//902 QXmlReader::declHandler() const [pure virtual]
    {71, 363, 1058, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 19},	//903 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 363, 1106, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 255, 20},	//904 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 102, 0, 0, Smoke::mf_ctor, 156, 21},	//905 QXmlReader::QXmlReader()
    {71, 102, 1108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 22},	//906 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 216, 3, 1, Smoke::mf_const, 255, 23},	//907 QXmlReader::feature(const QString&) const
    {71, 379, 3, 1, Smoke::mf_const, 356, 24},	//908 QXmlReader::property(const QString&) const
    {71, 774, 0, 0, Smoke::mf_dtor, 0, 25 },	//909 QXmlReader::~QXmlReader()
    {72, 104, 0, 0, Smoke::mf_ctor, 157, 1},	//910 QXmlSimpleReader::QXmlSimpleReader()
    {72, 216, 1088, 2, Smoke::mf_const|Smoke::mf_virtual, 255, 2},	//911 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 628, 90, 2, Smoke::mf_virtual, 0, 3},	//912 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 233, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 255, 4},	//913 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 379, 1088, 2, Smoke::mf_const|Smoke::mf_virtual, 356, 5},	//914 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 645, 1091, 2, Smoke::mf_virtual, 0, 6},	//915 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 236, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 255, 7},	//916 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 624, 1094, 1, Smoke::mf_virtual, 0, 8},	//917 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 9},	//918 QXmlSimpleReader::entityResolver() const
    {72, 613, 1096, 1, Smoke::mf_virtual, 0, 10},	//919 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//920 QXmlSimpleReader::DTDHandler() const
    {72, 611, 1098, 1, Smoke::mf_virtual, 0, 12},	//921 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//922 QXmlSimpleReader::contentHandler() const
    {72, 626, 1100, 1, Smoke::mf_virtual, 0, 14},	//923 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 210, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//924 QXmlSimpleReader::errorHandler() const
    {72, 634, 1102, 1, Smoke::mf_virtual, 0, 16},	//925 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 281, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 17},	//926 QXmlSimpleReader::lexicalHandler() const
    {72, 618, 1104, 1, Smoke::mf_virtual, 0, 18},	//927 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 19},	//928 QXmlSimpleReader::declHandler() const
    {72, 363, 1058, 1, Smoke::mf_virtual, 255, 20},	//929 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 363, 1106, 1, Smoke::mf_virtual, 255, 21},	//930 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 363, 1110, 2, Smoke::mf_virtual, 255, 22},	//931 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 366, 0, 0, Smoke::mf_virtual, 255, 23},	//932 QXmlSimpleReader::parseContinue()
    {72, 216, 3, 1, Smoke::mf_const, 255, 24},	//933 QXmlSimpleReader::feature(const QString&) const
    {72, 379, 3, 1, Smoke::mf_const, 356, 25},	//934 QXmlSimpleReader::property(const QString&) const
    {72, 775, 0, 0, Smoke::mf_dtor, 0, 26 },	//935 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 105, 0, 0, Smoke::mf_ctor, 158, 1},	//936 QXmlStreamWriter::QXmlStreamWriter()
    {76, 105, 142, 1, Smoke::mf_ctor, 158, 2},	//937 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 105, 1113, 1, Smoke::mf_ctor, 158, 3},	//938 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 105, 1115, 1, Smoke::mf_ctor, 158, 4},	//939 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 620, 142, 1, 0, 0, 5},	//940 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 188, 0, 0, Smoke::mf_const, 104, 6},	//941 QXmlStreamWriter::device() const
    {76, 593, 1117, 1, 0, 0, 7},	//942 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 593, 303, 1, 0, 0, 8},	//943 QXmlStreamWriter::setCodec(const char*)
    {76, 153, 0, 0, Smoke::mf_const, 130, 9},	//944 QXmlStreamWriter::codec() const
    {76, 589, 235, 1, 0, 0, 10},	//945 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 145, 0, 0, Smoke::mf_const, 255, 11},	//946 QXmlStreamWriter::autoFormatting() const
    {76, 591, 76, 1, 0, 0, 12},	//947 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 146, 0, 0, Smoke::mf_const, 338, 13},	//948 QXmlStreamWriter::autoFormattingIndent() const
    {76, 705, 25, 2, 0, 0, 14},	//949 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 705, 218, 3, 0, 0, 15},	//950 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 705, 1119, 1, 0, 0, 16},	//951 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 709, 1121, 1, 0, 0, 17},	//952 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 711, 3, 1, 0, 0, 18},	//953 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 713, 3, 1, 0, 0, 19},	//954 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 715, 3, 1, 0, 0, 20},	//955 QXmlStreamWriter::writeComment(const QString&)
    {76, 719, 3, 1, 0, 0, 21},	//956 QXmlStreamWriter::writeDTD(const QString&)
    {76, 723, 3, 1, 0, 0, 22},	//957 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 723, 25, 2, 0, 0, 23},	//958 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 742, 25, 2, 0, 0, 24},	//959 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 742, 218, 3, 0, 0, 25},	//960 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 726, 0, 0, 0, 0, 26},	//961 QXmlStreamWriter::writeEndDocument()
    {76, 727, 0, 0, 0, 0, 27},	//962 QXmlStreamWriter::writeEndElement()
    {76, 728, 3, 1, 0, 0, 28},	//963 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 730, 25, 2, 0, 0, 29},	//964 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 721, 3, 1, 0, 0, 30},	//965 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 733, 25, 2, 0, 0, 31},	//966 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 736, 0, 0, 0, 0, 32},	//967 QXmlStreamWriter::writeStartDocument()
    {76, 736, 3, 1, 0, 0, 33},	//968 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 736, 90, 2, 0, 0, 34},	//969 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 739, 3, 1, 0, 0, 35},	//970 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 739, 25, 2, 0, 0, 36},	//971 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 717, 1123, 1, 0, 0, 37},	//972 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 232, 0, 0, Smoke::mf_const, 255, 38},	//973 QXmlStreamWriter::hasError() const
    {76, 730, 3, 1, 0, 0, 39},	//974 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 733, 3, 1, 0, 0, 40},	//975 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 776, 0, 0, Smoke::mf_dtor, 0, 41 },	//976 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    831,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    839,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    362,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    396,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    404,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    447,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    469,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    486,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    515,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    519,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    552,  // QGlobalSpace::operator!=(QChar, QChar)
    573,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    621,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    636,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    661,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    693,  // QGlobalSpace::operator!=(QBool, QBool)
    704,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    351,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    369,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    381,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    560,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    660,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    443,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    499,  // QGlobalSpace::operator!=(bool, QBool)
    518,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    557,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    668,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    580,  // QGlobalSpace::operator*(const QSize&, double)
    639,  // QGlobalSpace::operator*(const QPoint&, int)
    650,  // QGlobalSpace::operator*(const QPoint&, double)
    655,  // QGlobalSpace::operator*(const QSizeF&, double)
    657,  // QGlobalSpace::operator*(const QPoint&, float)
    665,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    359,  // QGlobalSpace::operator*(double, const QSizeF&)
    482,  // QGlobalSpace::operator*(int, const QPoint&)
    510,  // QGlobalSpace::operator*(float, const QPoint&)
    576,  // QGlobalSpace::operator*(double, const QPointF&)
    584,  // QGlobalSpace::operator*(double, const QPoint&)
    658,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    375,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    386,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    391,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    457,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    492,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    406,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    437,  // QGlobalSpace::operator+(QChar, const QString&)
    522,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    329,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    403,  // QGlobalSpace::operator+(const QString&, QChar)
    566,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    460,  // QGlobalSpace::operator-(const QPoint&)
    505,  // QGlobalSpace::operator-(const QPointF&)
    0,
    364,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    377,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    448,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    569,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    374,  // QGlobalSpace::operator/(const QPoint&, double)
    498,  // QGlobalSpace::operator/(const QPointF&, double)
    526,  // QGlobalSpace::operator/(const QSizeF&, double)
    642,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    349,  // QGlobalSpace::operator<(QChar, QChar)
    451,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    659,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    348,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    363,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    365,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    371,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    378,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    383,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    384,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    400,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    421,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    422,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    462,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    495,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    502,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    508,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    527,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    535,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    543,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    544,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    546,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    549,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    550,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    563,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    568,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    570,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    581,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    586,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    605,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    615,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    616,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    619,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    627,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    628,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    630,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    633,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    663,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    673,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    679,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    688,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    689,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    702,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    706,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    326,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    478,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    494,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    574,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    671,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    433,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    534,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    634,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    328,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    332,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    343,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    344,  // QGlobalSpace::operator==(QChar, QChar)
    415,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    429,  // QGlobalSpace::operator==(QBool, QBool)
    449,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    459,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    466,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    491,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    520,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    528,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    579,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    595,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    624,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    645,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    327,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    490,  // QGlobalSpace::operator==(QString::Null, const QString&)
    654,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    656,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    684,  // QGlobalSpace::operator==(QBool, bool)
    0,
    339,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    430,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    506,  // QGlobalSpace::operator==(bool, QBool)
    542,  // QGlobalSpace::operator==(const QString&, QString::Null)
    567,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    357,  // QGlobalSpace::operator>(QChar, QChar)
    418,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    483,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    318,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    350,  // QGlobalSpace::operator>=(QChar, QChar)
    603,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    334,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    401,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    440,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    485,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    489,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    503,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    525,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    556,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    565,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    572,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    577,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    625,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    638,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    647,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    662,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    678,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    685,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    686,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    701,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    705,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    536,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    640,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    321,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    322,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    330,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    345,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    353,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    356,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    358,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    361,  // QGlobalSpace::operator|(QDir::Filter, int)
    366,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    367,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    370,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    372,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    373,  // QGlobalSpace::operator|(QFile::Permission, int)
    376,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    382,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    385,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    387,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    388,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    392,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    398,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    407,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    408,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    411,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    416,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    431,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    435,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    438,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    439,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    445,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    446,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    450,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    452,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    454,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    458,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    461,  // QGlobalSpace::operator|(Qt::DropAction, int)
    463,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    472,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    475,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    479,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    487,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    497,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    504,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    513,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    514,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    517,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    523,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    524,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    540,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    547,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    553,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    564,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    571,  // QGlobalSpace::operator|(Qt::WindowState, int)
    575,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    578,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    582,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    589,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    591,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    592,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    596,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    601,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    602,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    606,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    607,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    611,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    612,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    613,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    614,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    620,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    623,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    629,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    635,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    637,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    648,  // QGlobalSpace::operator|(Qt::Orientation, int)
    651,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    652,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    664,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    667,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    672,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    674,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    675,  // QGlobalSpace::operator|(Qt::WindowType, int)
    680,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    681,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    690,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    691,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    694,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    698,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    703,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    594,  // QGlobalSpace::qFuzzyCompare(float, float)
    649,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    453,  // QGlobalSpace::qFuzzyIsNull(float)
    608,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    346,  // QGlobalSpace::qHash(const QUrl&)
    347,  // QGlobalSpace::qHash(const QByteArray&)
    412,  // QGlobalSpace::qHash(QChar)
    426,  // QGlobalSpace::qHash(const QModelIndex&)
    493,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    548,  // QGlobalSpace::qHash(const QBitArray&)
    696,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    319,  // QGlobalSpace::qHash(unsigned long long)
    338,  // QGlobalSpace::qHash(signed char)
    368,  // QGlobalSpace::qHash(char)
    410,  // QGlobalSpace::qHash(unsigned int)
    420,  // QGlobalSpace::qHash(const QString&)
    442,  // QGlobalSpace::qHash(long long)
    456,  // QGlobalSpace::qHash(int)
    481,  // QGlobalSpace::qHash(long)
    484,  // QGlobalSpace::qHash(unsigned short)
    588,  // QGlobalSpace::qHash(short)
    687,  // QGlobalSpace::qHash(unsigned long)
    700,  // QGlobalSpace::qHash(unsigned char)
    0,
    341,  // QGlobalSpace::qIntCast(double)
    414,  // QGlobalSpace::qIntCast(float)
    0,
    379,  // QGlobalSpace::qIsFinite(double)
    402,  // QGlobalSpace::qIsFinite(float)
    0,
    320,  // QGlobalSpace::qIsInf(double)
    336,  // QGlobalSpace::qIsInf(float)
    0,
    432,  // QGlobalSpace::qIsNaN(float)
    436,  // QGlobalSpace::qIsNaN(double)
    0,
    643,  // QGlobalSpace::qIsNull(float)
    697,  // QGlobalSpace::qIsNull(double)
    0,
    929,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    930,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
    903,  // QXmlReader::parse(const QXmlInputSource&)
    904,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    937,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    938,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    749,  // QXmlAttributes::type(int) const
    750,  // QXmlAttributes::type(const QString&) const
    0,
    752,  // QXmlAttributes::value(int) const
    753,  // QXmlAttributes::value(const QString&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 40, 1},	// QDomAttr::QDomAttr
    {10, 41, 2},	// QDomAttr::QDomAttr#
    {10, 286, 4},	// QDomAttr::name
    {10, 297, 9},	// QDomAttr::nodeType
    {10, 337, 3},	// QDomAttr::operator=#
    {10, 361, 6},	// QDomAttr::ownerElement
    {10, 650, 8},	// QDomAttr::setValue$
    {10, 654, 5},	// QDomAttr::specified
    {10, 699, 7},	// QDomAttr::value
    {10, 745, 10},	// QDomAttr::~QDomAttr
    {11, 42, 11},	// QDomCDATASection::QDomCDATASection
    {11, 43, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 297, 14},	// QDomCDATASection::nodeType
    {11, 337, 13},	// QDomCDATASection::operator=#
    {11, 746, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 44, 16},	// QDomCharacterData::QDomCharacterData
    {12, 45, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 129, 20},	// QDomCharacterData::appendData$
    {12, 184, 25},	// QDomCharacterData::data
    {12, 187, 22},	// QDomCharacterData::deleteData$$
    {12, 253, 21},	// QDomCharacterData::insertData$$
    {12, 280, 24},	// QDomCharacterData::length
    {12, 297, 27},	// QDomCharacterData::nodeType
    {12, 337, 18},	// QDomCharacterData::operator=#
    {12, 574, 23},	// QDomCharacterData::replaceData$$$
    {12, 617, 26},	// QDomCharacterData::setData$
    {12, 670, 19},	// QDomCharacterData::substringData$$
    {12, 747, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 46, 29},	// QDomComment::QDomComment
    {13, 47, 30},	// QDomComment::QDomComment#
    {13, 297, 32},	// QDomComment::nodeType
    {13, 337, 31},	// QDomComment::operator=#
    {13, 748, 33},	// QDomComment::~QDomComment
    {14, 48, 34},	// QDomDocument::QDomDocument
    {14, 49, -340},	// QDomDocument::QDomDocument#
    {14, 50, 35},	// QDomDocument::QDomDocument$
    {14, 162, 45},	// QDomDocument::createAttribute$
    {14, 164, 50},	// QDomDocument::createAttributeNS$$
    {14, 166, 43},	// QDomDocument::createCDATASection$
    {14, 168, 42},	// QDomDocument::createComment$
    {14, 171, 40},	// QDomDocument::createDocumentFragment
    {14, 175, 39},	// QDomDocument::createElement$
    {14, 177, 49},	// QDomDocument::createElementNS$$
    {14, 179, 46},	// QDomDocument::createEntityReference$
    {14, 181, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 183, 41},	// QDomDocument::createTextNode$
    {14, 189, 53},	// QDomDocument::doctype
    {14, 190, 55},	// QDomDocument::documentElement
    {14, 192, 52},	// QDomDocument::elementById$
    {14, 194, 47},	// QDomDocument::elementsByTagName$
    {14, 196, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 241, 54},	// QDomDocument::implementation
    {14, 243, 48},	// QDomDocument::importNode#$
    {14, 297, 56},	// QDomDocument::nodeType
    {14, 337, 38},	// QDomDocument::operator=#
    {14, 597, -343},	// QDomDocument::setContent#
    {14, 598, 88},	// QDomDocument::setContent##
    {14, 599, 89},	// QDomDocument::setContent##$
    {14, 600, 90},	// QDomDocument::setContent##$$
    {14, 601, 64},	// QDomDocument::setContent##$$$
    {14, 602, -346},	// QDomDocument::setContent#$
    {14, 603, -352},	// QDomDocument::setContent#$$
    {14, 604, -358},	// QDomDocument::setContent#$$$
    {14, 605, -364},	// QDomDocument::setContent#$$$$
    {14, 606, 82},	// QDomDocument::setContent$
    {14, 607, -368},	// QDomDocument::setContent$$
    {14, 608, -371},	// QDomDocument::setContent$$$
    {14, 609, -374},	// QDomDocument::setContent$$$$
    {14, 610, 58},	// QDomDocument::setContent$$$$$
    {14, 676, 92},	// QDomDocument::toByteArray
    {14, 677, 66},	// QDomDocument::toByteArray$
    {14, 689, 91},	// QDomDocument::toString
    {14, 690, 65},	// QDomDocument::toString$
    {14, 749, 93},	// QDomDocument::~QDomDocument
    {15, 51, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 52, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 297, 97},	// QDomDocumentFragment::nodeType
    {15, 337, 96},	// QDomDocumentFragment::operator=#
    {15, 750, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 53, 99},	// QDomDocumentType::QDomDocumentType
    {16, 54, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 206, 103},	// QDomDocumentType::entities
    {16, 256, 107},	// QDomDocumentType::internalSubset
    {16, 286, 102},	// QDomDocumentType::name
    {16, 297, 108},	// QDomDocumentType::nodeType
    {16, 303, 104},	// QDomDocumentType::notations
    {16, 337, 101},	// QDomDocumentType::operator=#
    {16, 382, 105},	// QDomDocumentType::publicId
    {16, 671, 106},	// QDomDocumentType::systemId
    {16, 751, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 55, 110},	// QDomElement::QDomElement
    {17, 56, 111},	// QDomElement::QDomElement#
    {17, 133, 144},	// QDomElement::attribute$
    {17, 134, 113},	// QDomElement::attribute$$
    {17, 138, 145},	// QDomElement::attributeNS$$
    {17, 139, 127},	// QDomElement::attributeNS$$$
    {17, 141, 122},	// QDomElement::attributeNode$
    {17, 143, 135},	// QDomElement::attributeNodeNS$$
    {17, 144, 141},	// QDomElement::attributes
    {17, 194, 125},	// QDomElement::elementsByTagName$
    {17, 196, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 227, 126},	// QDomElement::hasAttribute$
    {17, 229, 138},	// QDomElement::hasAttributeNS$$
    {17, 297, 142},	// QDomElement::nodeType
    {17, 337, 112},	// QDomElement::operator=#
    {17, 560, 121},	// QDomElement::removeAttribute$
    {17, 562, 134},	// QDomElement::removeAttributeNS$$
    {17, 564, 124},	// QDomElement::removeAttributeNode#
    {17, 582, -4},	// QDomElement::setAttribute$$
    {17, 584, -12},	// QDomElement::setAttributeNS$$$
    {17, 586, 123},	// QDomElement::setAttributeNode#
    {17, 588, 136},	// QDomElement::setAttributeNodeNS#
    {17, 648, 140},	// QDomElement::setTagName$
    {17, 672, 139},	// QDomElement::tagName
    {17, 674, 143},	// QDomElement::text
    {17, 752, 146},	// QDomElement::~QDomElement
    {18, 57, 147},	// QDomEntity::QDomEntity
    {18, 58, 148},	// QDomEntity::QDomEntity#
    {18, 297, 153},	// QDomEntity::nodeType
    {18, 302, 152},	// QDomEntity::notationName
    {18, 337, 149},	// QDomEntity::operator=#
    {18, 382, 150},	// QDomEntity::publicId
    {18, 671, 151},	// QDomEntity::systemId
    {18, 753, 154},	// QDomEntity::~QDomEntity
    {19, 59, 155},	// QDomEntityReference::QDomEntityReference
    {19, 60, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 297, 158},	// QDomEntityReference::nodeType
    {19, 337, 157},	// QDomEntityReference::operator=#
    {19, 754, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 61, 160},	// QDomImplementation::QDomImplementation
    {20, 62, 161},	// QDomImplementation::QDomImplementation#
    {20, 113, 173},	// QDomImplementation::ReturnNullNode
    {20, 170, 167},	// QDomImplementation::createDocument$$#
    {20, 173, 166},	// QDomImplementation::createDocumentType$$$
    {20, 235, 165},	// QDomImplementation::hasFeature$$
    {20, 257, 168},	// QDomImplementation::invalidDataPolicy
    {20, 270, 170},	// QDomImplementation::isNull
    {20, 305, 164},	// QDomImplementation::operator!=#
    {20, 337, 162},	// QDomImplementation::operator=#
    {20, 339, 163},	// QDomImplementation::operator==#
    {20, 633, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 755, 174},	// QDomImplementation::~QDomImplementation
    {21, 63, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 64, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 158, 191},	// QDomNamedNodeMap::contains$
    {21, 160, 188},	// QDomNamedNodeMap::count
    {21, 266, 190},	// QDomNamedNodeMap::isEmpty
    {21, 276, 183},	// QDomNamedNodeMap::item$
    {21, 280, 187},	// QDomNamedNodeMap::length
    {21, 288, 180},	// QDomNamedNodeMap::namedItem$
    {21, 290, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 305, 179},	// QDomNamedNodeMap::operator!=#
    {21, 337, 177},	// QDomNamedNodeMap::operator=#
    {21, 339, 178},	// QDomNamedNodeMap::operator==#
    {21, 568, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 570, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 637, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 639, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 651, 189},	// QDomNamedNodeMap::size
    {21, 756, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 38, 279},	// QDomNode::NotationNode
    {22, 39, 274},	// QDomNode::ProcessingInstructionNode
    {22, 65, 193},	// QDomNode::QDomNode
    {22, 66, 194},	// QDomNode::QDomNode#
    {22, 114, 270},	// QDomNode::TextNode
    {22, 127, 202},	// QDomNode::appendChild#
    {22, 144, 215},	// QDomNode::attributes
    {22, 149, 210},	// QDomNode::childNodes
    {22, 150, 239},	// QDomNode::clear
    {22, 151, 261},	// QDomNode::cloneNode
    {22, 152, 204},	// QDomNode::cloneNode$
    {22, 154, 260},	// QDomNode::columnNumber
    {22, 220, 211},	// QDomNode::firstChild
    {22, 221, 262},	// QDomNode::firstChildElement
    {22, 222, 255},	// QDomNode::firstChildElement$
    {22, 230, 219},	// QDomNode::hasAttributes
    {22, 231, 203},	// QDomNode::hasChildNodes
    {22, 240, 266},	// QDomNode::impl
    {22, 249, 199},	// QDomNode::insertAfter##
    {22, 251, 198},	// QDomNode::insertBefore##
    {22, 258, 224},	// QDomNode::isAttr
    {22, 259, 225},	// QDomNode::isCDATASection
    {22, 260, 235},	// QDomNode::isCharacterData
    {22, 261, 236},	// QDomNode::isComment
    {22, 262, 227},	// QDomNode::isDocument
    {22, 263, 226},	// QDomNode::isDocumentFragment
    {22, 264, 228},	// QDomNode::isDocumentType
    {22, 265, 229},	// QDomNode::isElement
    {22, 267, 232},	// QDomNode::isEntity
    {22, 268, 230},	// QDomNode::isEntityReference
    {22, 269, 233},	// QDomNode::isNotation
    {22, 270, 238},	// QDomNode::isNull
    {22, 271, 234},	// QDomNode::isProcessingInstruction
    {22, 273, 206},	// QDomNode::isSupported$$
    {22, 274, 231},	// QDomNode::isText
    {22, 277, 212},	// QDomNode::lastChild
    {22, 278, 263},	// QDomNode::lastChildElement
    {22, 279, 256},	// QDomNode::lastChildElement$
    {22, 282, 259},	// QDomNode::lineNumber
    {22, 283, 218},	// QDomNode::localName
    {22, 288, 237},	// QDomNode::namedItem$
    {22, 291, 217},	// QDomNode::namespaceURI
    {22, 293, 214},	// QDomNode::nextSibling
    {22, 294, 265},	// QDomNode::nextSiblingElement
    {22, 295, 258},	// QDomNode::nextSiblingElement$
    {22, 296, 207},	// QDomNode::nodeName
    {22, 297, 208},	// QDomNode::nodeType
    {22, 298, 220},	// QDomNode::nodeValue
    {22, 299, 205},	// QDomNode::normalize
    {22, 305, 197},	// QDomNode::operator!=#
    {22, 337, 195},	// QDomNode::operator=#
    {22, 339, 196},	// QDomNode::operator==#
    {22, 360, 216},	// QDomNode::ownerDocument
    {22, 362, 209},	// QDomNode::parentNode
    {22, 368, 222},	// QDomNode::prefix
    {22, 372, 213},	// QDomNode::previousSibling
    {22, 373, 264},	// QDomNode::previousSiblingElement
    {22, 374, 257},	// QDomNode::previousSiblingElement$
    {22, 566, 201},	// QDomNode::removeChild#
    {22, 572, 200},	// QDomNode::replaceChild##
    {22, 579, 253},	// QDomNode::save#$
    {22, 580, 254},	// QDomNode::save#$$
    {22, 631, 267},	// QDomNode::setImpl#
    {22, 641, 221},	// QDomNode::setNodeValue$
    {22, 643, 223},	// QDomNode::setPrefix$
    {22, 675, 240},	// QDomNode::toAttr
    {22, 678, 241},	// QDomNode::toCDATASection
    {22, 679, 251},	// QDomNode::toCharacterData
    {22, 680, 252},	// QDomNode::toComment
    {22, 681, 243},	// QDomNode::toDocument
    {22, 682, 242},	// QDomNode::toDocumentFragment
    {22, 683, 244},	// QDomNode::toDocumentType
    {22, 684, 245},	// QDomNode::toElement
    {22, 685, 248},	// QDomNode::toEntity
    {22, 686, 246},	// QDomNode::toEntityReference
    {22, 687, 249},	// QDomNode::toNotation
    {22, 688, 250},	// QDomNode::toProcessingInstruction
    {22, 691, 247},	// QDomNode::toText
    {22, 757, 284},	// QDomNode::~QDomNode
    {23, 67, 285},	// QDomNodeList::QDomNodeList
    {23, 68, 286},	// QDomNodeList::QDomNodeList#
    {23, 131, 291},	// QDomNodeList::at$
    {23, 160, 293},	// QDomNodeList::count
    {23, 266, 295},	// QDomNodeList::isEmpty
    {23, 276, 290},	// QDomNodeList::item$
    {23, 280, 292},	// QDomNodeList::length
    {23, 305, 289},	// QDomNodeList::operator!=#
    {23, 337, 287},	// QDomNodeList::operator=#
    {23, 339, 288},	// QDomNodeList::operator==#
    {23, 651, 294},	// QDomNodeList::size
    {23, 758, 296},	// QDomNodeList::~QDomNodeList
    {25, 69, 297},	// QDomNotation::QDomNotation
    {25, 70, 298},	// QDomNotation::QDomNotation#
    {25, 297, 302},	// QDomNotation::nodeType
    {25, 337, 299},	// QDomNotation::operator=#
    {25, 382, 300},	// QDomNotation::publicId
    {25, 671, 301},	// QDomNotation::systemId
    {25, 759, 303},	// QDomNotation::~QDomNotation
    {26, 71, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 72, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 184, 308},	// QDomProcessingInstruction::data
    {26, 297, 310},	// QDomProcessingInstruction::nodeType
    {26, 337, 306},	// QDomProcessingInstruction::operator=#
    {26, 617, 309},	// QDomProcessingInstruction::setData$
    {26, 673, 307},	// QDomProcessingInstruction::target
    {26, 760, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 73, 312},	// QDomText::QDomText
    {27, 74, 313},	// QDomText::QDomText#
    {27, 297, 316},	// QDomText::nodeType
    {27, 337, 314},	// QDomText::operator=#
    {27, 658, 315},	// QDomText::splitText$
    {27, 761, 317},	// QDomText::~QDomText
    {29, 19, 719},	// QGlobalSpace::LicensedActiveQt
    {29, 20, 725},	// QGlobalSpace::LicensedCore
    {29, 21, 717},	// QGlobalSpace::LicensedDBus
    {29, 22, 722},	// QGlobalSpace::LicensedDeclarative
    {29, 23, 712},	// QGlobalSpace::LicensedGui
    {29, 24, 731},	// QGlobalSpace::LicensedHelp
    {29, 25, 732},	// QGlobalSpace::LicensedMultimedia
    {29, 26, 735},	// QGlobalSpace::LicensedNetwork
    {29, 27, 724},	// QGlobalSpace::LicensedOpenGL
    {29, 28, 716},	// QGlobalSpace::LicensedOpenVG
    {29, 29, 733},	// QGlobalSpace::LicensedQt3Support
    {29, 30, 714},	// QGlobalSpace::LicensedQt3SupportLight
    {29, 31, 715},	// QGlobalSpace::LicensedScript
    {29, 32, 720},	// QGlobalSpace::LicensedScriptTools
    {29, 33, 723},	// QGlobalSpace::LicensedSql
    {29, 34, 721},	// QGlobalSpace::LicensedSvg
    {29, 35, 718},	// QGlobalSpace::LicensedTest
    {29, 36, 713},	// QGlobalSpace::LicensedXml
    {29, 37, 734},	// QGlobalSpace::LicensedXmlPatterns
    {29, 108, 728},	// QGlobalSpace::QtCriticalMsg
    {29, 109, 726},	// QGlobalSpace::QtDebugMsg
    {29, 110, 729},	// QGlobalSpace::QtFatalMsg
    {29, 111, 730},	// QGlobalSpace::QtSystemMsg
    {29, 112, 727},	// QGlobalSpace::QtWarningMsg
    {29, 115, 707},	// QGlobalSpace::_IEEE_
    {29, 116, 711},	// QGlobalSpace::_ISOC_
    {29, 117, 710},	// QGlobalSpace::_POSIX_
    {29, 118, 708},	// QGlobalSpace::_SVID_
    {29, 119, 709},	// QGlobalSpace::_XOPEN_
    {29, 120, 738},	// QGlobalSpace::__codecvt_error
    {29, 121, 739},	// QGlobalSpace::__codecvt_noconv
    {29, 122, 736},	// QGlobalSpace::__codecvt_ok
    {29, 123, 737},	// QGlobalSpace::__codecvt_partial
    {29, 306, -19},	// QGlobalSpace::operator!=##
    {29, 307, -35},	// QGlobalSpace::operator!=#$
    {29, 308, -41},	// QGlobalSpace::operator!=$#
    {29, 310, 511},	// QGlobalSpace::operator&##
    {29, 312, -47},	// QGlobalSpace::operator*#$
    {29, 313, -54},	// QGlobalSpace::operator*$#
    {29, 315, -61},	// QGlobalSpace::operator+##
    {29, 316, -67},	// QGlobalSpace::operator+#$
    {29, 317, -71},	// QGlobalSpace::operator+$#
    {29, 318, 692},	// QGlobalSpace::operator+$$
    {29, 320, -75},	// QGlobalSpace::operator-#
    {29, 321, -78},	// QGlobalSpace::operator-##
    {29, 323, -83},	// QGlobalSpace::operator/#$
    {29, 325, -88},	// QGlobalSpace::operator<##
    {29, 326, 545},	// QGlobalSpace::operator<#$
    {29, 327, 352},	// QGlobalSpace::operator<$#
    {29, 329, -92},	// QGlobalSpace::operator<<##
    {29, 330, -135},	// QGlobalSpace::operator<<#$
    {29, 331, 521},	// QGlobalSpace::operator<<#?
    {29, 333, -141},	// QGlobalSpace::operator<=##
    {29, 334, 413},	// QGlobalSpace::operator<=#$
    {29, 335, 532},	// QGlobalSpace::operator<=$#
    {29, 340, -145},	// QGlobalSpace::operator==##
    {29, 341, -162},	// QGlobalSpace::operator==#$
    {29, 342, -168},	// QGlobalSpace::operator==$#
    {29, 344, -174},	// QGlobalSpace::operator>##
    {29, 345, 699},	// QGlobalSpace::operator>#$
    {29, 346, 340},	// QGlobalSpace::operator>$#
    {29, 348, -178},	// QGlobalSpace::operator>=##
    {29, 349, 335},	// QGlobalSpace::operator>=#$
    {29, 350, 512},	// QGlobalSpace::operator>=$#
    {29, 352, -182},	// QGlobalSpace::operator>>##
    {29, 353, -204},	// QGlobalSpace::operator>>#$
    {29, 354, 476},	// QGlobalSpace::operator>>#?
    {29, 356, 417},	// QGlobalSpace::operator^##
    {29, 358, 626},	// QGlobalSpace::operator|##
    {29, 359, -207},	// QGlobalSpace::operator|$$
    {29, 385, 600},	// QGlobalSpace::qAcos$
    {29, 387, 529},	// QGlobalSpace::qAddPostRoutine$
    {29, 388, 537},	// QGlobalSpace::qAppName
    {29, 390, 618},	// QGlobalSpace::qAsin$
    {29, 392, 646},	// QGlobalSpace::qAtan$
    {29, 394, 333},	// QGlobalSpace::qAtan2$$
    {29, 395, 604},	// QGlobalSpace::qBadAlloc
    {29, 397, 551},	// QGlobalSpace::qCeil$
    {29, 399, 471},	// QGlobalSpace::qChecksum$$
    {29, 401, 610},	// QGlobalSpace::qCompress#
    {29, 402, 609},	// QGlobalSpace::qCompress#$
    {29, 403, 531},	// QGlobalSpace::qCompress$$
    {29, 404, 530},	// QGlobalSpace::qCompress$$$
    {29, 406, 355},	// QGlobalSpace::qCos$
    {29, 407, 516},	// QGlobalSpace::qCritical
    {29, 408, 558},	// QGlobalSpace::qDebug
    {29, 410, 465},	// QGlobalSpace::qExp$
    {29, 412, 590},	// QGlobalSpace::qFabs$
    {29, 414, 427},	// QGlobalSpace::qFastCos$
    {29, 416, 533},	// QGlobalSpace::qFastSin$
    {29, 418, 434},	// QGlobalSpace::qFlagLocation$
    {29, 420, 399},	// QGlobalSpace::qFloor$
    {29, 422, 539},	// QGlobalSpace::qFree$
    {29, 424, 541},	// QGlobalSpace::qFreeAligned$
    {29, 426, -295},	// QGlobalSpace::qFuzzyCompare$$
    {29, 428, -298},	// QGlobalSpace::qFuzzyIsNull$
    {29, 430, -301},	// QGlobalSpace::qHash#
    {29, 431, -309},	// QGlobalSpace::qHash$
    {29, 432, 670},	// QGlobalSpace::qInf
    {29, 434, 424},	// QGlobalSpace::qInstallMsgHandler$
    {29, 436, -322},	// QGlobalSpace::qIntCast$
    {29, 438, -325},	// QGlobalSpace::qIsFinite$
    {29, 440, -328},	// QGlobalSpace::qIsInf$
    {29, 442, -331},	// QGlobalSpace::qIsNaN$
    {29, 444, -334},	// QGlobalSpace::qIsNull$
    {29, 446, 467},	// QGlobalSpace::qLn$
    {29, 448, 473},	// QGlobalSpace::qMalloc$
    {29, 450, 559},	// QGlobalSpace::qMallocAligned$$
    {29, 452, 324},	// QGlobalSpace::qMemCopy$$$
    {29, 454, 585},	// QGlobalSpace::qMemSet$$$
    {29, 458, 562},	// QGlobalSpace::qPow$$
    {29, 459, 474},	// QGlobalSpace::qQNaN
    {29, 461, 419},	// QGlobalSpace::qRealloc$$
    {29, 463, 409},	// QGlobalSpace::qReallocAligned$$$$
    {29, 465, 470},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 467, 677},	// QGlobalSpace::qRemovePostRoutine$
    {29, 469, 669},	// QGlobalSpace::qRound$
    {29, 471, 423},	// QGlobalSpace::qRound64$
    {29, 472, 653},	// QGlobalSpace::qSNaN
    {29, 474, 397},	// QGlobalSpace::qSetFieldWidth$
    {29, 476, 342},	// QGlobalSpace::qSetPadChar#
    {29, 478, 464},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 479, 360},	// QGlobalSpace::qSharedBuild
    {29, 481, 622},	// QGlobalSpace::qSin$
    {29, 483, 425},	// QGlobalSpace::qSqrt$
    {29, 485, 554},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 487, 395},	// QGlobalSpace::qTan$
    {29, 489, 501},	// QGlobalSpace::qUncompress#
    {29, 490, 393},	// QGlobalSpace::qUncompress$$
    {29, 491, 538},	// QGlobalSpace::qVersion
    {29, 492, 682},	// QGlobalSpace::qWarning
    {29, 494, 405},	// QGlobalSpace::qbswap_helper$$$
    {29, 496, 380},	// QGlobalSpace::qecvt$$$$
    {29, 498, 561},	// QGlobalSpace::qecvt_r$$$$$$
    {29, 500, 444},	// QGlobalSpace::qfcvt$$$$
    {29, 502, 597},	// QGlobalSpace::qfcvt_r$$$$$$
    {29, 504, 598},	// QGlobalSpace::qgcvt$$$
    {29, 506, 337},	// QGlobalSpace::qgetenv$
    {29, 508, 477},	// QGlobalSpace::qputenv$#
    {29, 509, 507},	// QGlobalSpace::qrand
    {29, 511, 599},	// QGlobalSpace::qsort$$$$
    {29, 513, 480},	// QGlobalSpace::qsrand$
    {29, 515, 593},	// QGlobalSpace::qstrcmp##
    {29, 516, 676},	// QGlobalSpace::qstrcmp#$
    {29, 517, 331},	// QGlobalSpace::qstrcmp$#
    {29, 518, 354},	// QGlobalSpace::qstrcmp$$
    {29, 520, 455},	// QGlobalSpace::qstrcpy$$
    {29, 522, 555},	// QGlobalSpace::qstrdup$
    {29, 524, 666},	// QGlobalSpace::qstricmp$$
    {29, 526, 683},	// QGlobalSpace::qstrlen$
    {29, 528, 394},	// QGlobalSpace::qstrncmp$$$
    {29, 530, 500},	// QGlobalSpace::qstrncpy$$$
    {29, 532, 488},	// QGlobalSpace::qstrnicmp$$$
    {29, 534, 323},	// QGlobalSpace::qstrnlen$$
    {29, 536, 632},	// QGlobalSpace::qtTrId$
    {29, 537, 631},	// QGlobalSpace::qtTrId$$
    {29, 539, 441},	// QGlobalSpace::qt_assert$$$
    {29, 541, 509},	// QGlobalSpace::qt_assert_x$$$$
    {29, 543, 587},	// QGlobalSpace::qt_check_pointer$$
    {29, 544, 390},	// QGlobalSpace::qt_error_string
    {29, 545, 389},	// QGlobalSpace::qt_error_string$
    {29, 547, 695},	// QGlobalSpace::qt_message_output$$
    {29, 548, 325},	// QGlobalSpace::qt_noop
    {29, 550, 496},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 552, 644},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 554, 468},	// QGlobalSpace::quick_exit$
    {29, 556, 641},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 558, 583},	// QGlobalSpace::qvsnprintf$$$?
    {59, 75, 740},	// QXmlAttributes::QXmlAttributes
    {59, 76, 758},	// QXmlAttributes::QXmlAttributes#
    {59, 125, 757},	// QXmlAttributes::append$$$$
    {59, 150, 756},	// QXmlAttributes::clear
    {59, 160, 745},	// QXmlAttributes::count
    {59, 245, 742},	// QXmlAttributes::index#
    {59, 246, 741},	// QXmlAttributes::index$
    {59, 247, 743},	// QXmlAttributes::index$$
    {59, 280, 744},	// QXmlAttributes::length
    {59, 284, 746},	// QXmlAttributes::localName$
    {59, 456, 747},	// QXmlAttributes::qName$
    {59, 693, -383},	// QXmlAttributes::type$
    {59, 694, 751},	// QXmlAttributes::type$$
    {59, 698, 748},	// QXmlAttributes::uri$
    {59, 700, 754},	// QXmlAttributes::value#
    {59, 701, -386},	// QXmlAttributes::value$
    {59, 702, 755},	// QXmlAttributes::value$$
    {59, 762, 759},	// QXmlAttributes::~QXmlAttributes
    {60, 77, 772},	// QXmlContentHandler::QXmlContentHandler
    {60, 78, 773},	// QXmlContentHandler::QXmlContentHandler#
    {60, 148, 767},	// QXmlContentHandler::characters$
    {60, 199, 762},	// QXmlContentHandler::endDocument
    {60, 201, 766},	// QXmlContentHandler::endElement$$$
    {60, 205, 764},	// QXmlContentHandler::endPrefixMapping$
    {60, 211, 771},	// QXmlContentHandler::errorString
    {60, 239, 768},	// QXmlContentHandler::ignorableWhitespace$
    {60, 378, 769},	// QXmlContentHandler::processingInstruction$$
    {60, 623, 760},	// QXmlContentHandler::setDocumentLocator#
    {60, 653, 770},	// QXmlContentHandler::skippedEntity$
    {60, 662, 761},	// QXmlContentHandler::startDocument
    {60, 664, 765},	// QXmlContentHandler::startElement$$$#
    {60, 668, 763},	// QXmlContentHandler::startPrefixMapping$$
    {60, 763, 774},	// QXmlContentHandler::~QXmlContentHandler
    {61, 79, 778},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 80, 779},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 211, 777},	// QXmlDTDHandler::errorString
    {61, 301, 775},	// QXmlDTDHandler::notationDecl$$$
    {61, 696, 776},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 764, 780},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 81, 785},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 82, 786},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 136, 781},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 211, 784},	// QXmlDeclHandler::errorString
    {62, 213, 783},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 255, 782},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 765, 787},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 83, 788},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 136, 813},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 148, 796},	// QXmlDefaultHandler::characters$
    {63, 156, 812},	// QXmlDefaultHandler::comment$
    {63, 197, 811},	// QXmlDefaultHandler::endCDATA
    {63, 198, 807},	// QXmlDefaultHandler::endDTD
    {63, 199, 791},	// QXmlDefaultHandler::endDocument
    {63, 201, 795},	// QXmlDefaultHandler::endElement$$$
    {63, 203, 809},	// QXmlDefaultHandler::endEntity$
    {63, 205, 793},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 209, 801},	// QXmlDefaultHandler::error#
    {63, 211, 816},	// QXmlDefaultHandler::errorString
    {63, 213, 815},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 215, 802},	// QXmlDefaultHandler::fatalError#
    {63, 239, 797},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 255, 814},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 301, 803},	// QXmlDefaultHandler::notationDecl$$$
    {63, 378, 798},	// QXmlDefaultHandler::processingInstruction$$
    {63, 577, 805},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 623, 789},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 653, 799},	// QXmlDefaultHandler::skippedEntity$
    {63, 659, 810},	// QXmlDefaultHandler::startCDATA
    {63, 661, 806},	// QXmlDefaultHandler::startDTD$$$
    {63, 662, 790},	// QXmlDefaultHandler::startDocument
    {63, 664, 794},	// QXmlDefaultHandler::startElement$$$#
    {63, 666, 808},	// QXmlDefaultHandler::startEntity$
    {63, 668, 792},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 696, 804},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 704, 800},	// QXmlDefaultHandler::warning#
    {63, 766, 817},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 84, 820},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 85, 821},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 211, 819},	// QXmlEntityResolver::errorString
    {64, 577, 818},	// QXmlEntityResolver::resolveEntity$$#
    {64, 767, 822},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 86, 827},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 87, 828},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 209, 824},	// QXmlErrorHandler::error#
    {65, 211, 826},	// QXmlErrorHandler::errorString
    {65, 215, 825},	// QXmlErrorHandler::fatalError#
    {65, 704, 823},	// QXmlErrorHandler::warning#
    {65, 768, 829},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 841},	// QXmlInputSource::EndOfData
    {66, 16, 842},	// QXmlInputSource::EndOfDocument
    {66, 88, 830},	// QXmlInputSource::QXmlInputSource
    {66, 89, -1},	// QXmlInputSource::QXmlInputSource#
    {66, 184, 835},	// QXmlInputSource::data
    {66, 219, 834},	// QXmlInputSource::fetchData
    {66, 224, 840},	// QXmlInputSource::fromRawData#
    {66, 225, 838},	// QXmlInputSource::fromRawData#$
    {66, 292, 836},	// QXmlInputSource::next
    {66, 575, 837},	// QXmlInputSource::reset
    {66, 616, 833},	// QXmlInputSource::setData#
    {66, 617, 832},	// QXmlInputSource::setData$
    {66, 769, 843},	// QXmlInputSource::~QXmlInputSource
    {67, 90, 852},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 91, 853},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 156, 850},	// QXmlLexicalHandler::comment$
    {67, 197, 849},	// QXmlLexicalHandler::endCDATA
    {67, 198, 845},	// QXmlLexicalHandler::endDTD
    {67, 203, 847},	// QXmlLexicalHandler::endEntity$
    {67, 211, 851},	// QXmlLexicalHandler::errorString
    {67, 659, 848},	// QXmlLexicalHandler::startCDATA
    {67, 661, 844},	// QXmlLexicalHandler::startDTD$$$
    {67, 666, 846},	// QXmlLexicalHandler::startEntity$
    {67, 770, 854},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 92, 855},	// QXmlLocator::QXmlLocator
    {68, 93, 858},	// QXmlLocator::QXmlLocator#
    {68, 154, 856},	// QXmlLocator::columnNumber
    {68, 282, 857},	// QXmlLocator::lineNumber
    {68, 771, 859},	// QXmlLocator::~QXmlLocator
    {69, 94, 860},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 367, 869},	// QXmlNamespaceSupport::popContext
    {69, 369, 862},	// QXmlNamespaceSupport::prefix$
    {69, 370, 866},	// QXmlNamespaceSupport::prefixes
    {69, 371, 867},	// QXmlNamespaceSupport::prefixes$
    {69, 376, 865},	// QXmlNamespaceSupport::processName$$$$
    {69, 383, 868},	// QXmlNamespaceSupport::pushContext
    {69, 575, 870},	// QXmlNamespaceSupport::reset
    {69, 644, 861},	// QXmlNamespaceSupport::setPrefix$$
    {69, 656, 864},	// QXmlNamespaceSupport::splitName$$$
    {69, 698, 863},	// QXmlNamespaceSupport::uri$
    {69, 772, 871},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 95, 879},	// QXmlParseException::QXmlParseException
    {70, 96, 873},	// QXmlParseException::QXmlParseException#
    {70, 97, 880},	// QXmlParseException::QXmlParseException$
    {70, 98, 881},	// QXmlParseException::QXmlParseException$$
    {70, 99, 882},	// QXmlParseException::QXmlParseException$$$
    {70, 100, 883},	// QXmlParseException::QXmlParseException$$$$
    {70, 101, 872},	// QXmlParseException::QXmlParseException$$$$$
    {70, 154, 874},	// QXmlParseException::columnNumber
    {70, 282, 875},	// QXmlParseException::lineNumber
    {70, 285, 878},	// QXmlParseException::message
    {70, 382, 876},	// QXmlParseException::publicId
    {70, 671, 877},	// QXmlParseException::systemId
    {70, 773, 884},	// QXmlParseException::~QXmlParseException
    {71, 7, 894},	// QXmlReader::DTDHandler
    {71, 102, 905},	// QXmlReader::QXmlReader
    {71, 103, 906},	// QXmlReader::QXmlReader#
    {71, 159, 896},	// QXmlReader::contentHandler
    {71, 185, 902},	// QXmlReader::declHandler
    {71, 207, 892},	// QXmlReader::entityResolver
    {71, 210, 898},	// QXmlReader::errorHandler
    {71, 217, 907},	// QXmlReader::feature$
    {71, 218, 885},	// QXmlReader::feature$$
    {71, 234, 887},	// QXmlReader::hasFeature$
    {71, 237, 890},	// QXmlReader::hasProperty$
    {71, 281, 900},	// QXmlReader::lexicalHandler
    {71, 364, -377},	// QXmlReader::parse#
    {71, 380, 908},	// QXmlReader::property$
    {71, 381, 888},	// QXmlReader::property$$
    {71, 612, 895},	// QXmlReader::setContentHandler#
    {71, 614, 893},	// QXmlReader::setDTDHandler#
    {71, 619, 901},	// QXmlReader::setDeclHandler#
    {71, 625, 891},	// QXmlReader::setEntityResolver#
    {71, 627, 897},	// QXmlReader::setErrorHandler#
    {71, 629, 886},	// QXmlReader::setFeature$$
    {71, 635, 899},	// QXmlReader::setLexicalHandler#
    {71, 646, 889},	// QXmlReader::setProperty$$
    {71, 774, 909},	// QXmlReader::~QXmlReader
    {72, 7, 920},	// QXmlSimpleReader::DTDHandler
    {72, 104, 910},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 159, 922},	// QXmlSimpleReader::contentHandler
    {72, 185, 928},	// QXmlSimpleReader::declHandler
    {72, 207, 918},	// QXmlSimpleReader::entityResolver
    {72, 210, 924},	// QXmlSimpleReader::errorHandler
    {72, 217, 933},	// QXmlSimpleReader::feature$
    {72, 218, 911},	// QXmlSimpleReader::feature$$
    {72, 234, 913},	// QXmlSimpleReader::hasFeature$
    {72, 237, 916},	// QXmlSimpleReader::hasProperty$
    {72, 281, 926},	// QXmlSimpleReader::lexicalHandler
    {72, 364, -337},	// QXmlSimpleReader::parse#
    {72, 365, 931},	// QXmlSimpleReader::parse#$
    {72, 366, 932},	// QXmlSimpleReader::parseContinue
    {72, 380, 934},	// QXmlSimpleReader::property$
    {72, 381, 914},	// QXmlSimpleReader::property$$
    {72, 612, 921},	// QXmlSimpleReader::setContentHandler#
    {72, 614, 919},	// QXmlSimpleReader::setDTDHandler#
    {72, 619, 927},	// QXmlSimpleReader::setDeclHandler#
    {72, 625, 917},	// QXmlSimpleReader::setEntityResolver#
    {72, 627, 923},	// QXmlSimpleReader::setErrorHandler#
    {72, 629, 912},	// QXmlSimpleReader::setFeature$$
    {72, 635, 925},	// QXmlSimpleReader::setLexicalHandler#
    {72, 646, 915},	// QXmlSimpleReader::setProperty$$
    {72, 775, 935},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 105, 936},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 106, -380},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 107, 939},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 145, 946},	// QXmlStreamWriter::autoFormatting
    {76, 146, 948},	// QXmlStreamWriter::autoFormattingIndent
    {76, 153, 944},	// QXmlStreamWriter::codec
    {76, 188, 941},	// QXmlStreamWriter::device
    {76, 232, 973},	// QXmlStreamWriter::hasError
    {76, 590, 945},	// QXmlStreamWriter::setAutoFormatting$
    {76, 592, 947},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 594, 942},	// QXmlStreamWriter::setCodec#
    {76, 595, 943},	// QXmlStreamWriter::setCodec$
    {76, 621, 940},	// QXmlStreamWriter::setDevice#
    {76, 706, 951},	// QXmlStreamWriter::writeAttribute#
    {76, 707, 949},	// QXmlStreamWriter::writeAttribute$$
    {76, 708, 950},	// QXmlStreamWriter::writeAttribute$$$
    {76, 710, 952},	// QXmlStreamWriter::writeAttributes#
    {76, 712, 953},	// QXmlStreamWriter::writeCDATA$
    {76, 714, 954},	// QXmlStreamWriter::writeCharacters$
    {76, 716, 955},	// QXmlStreamWriter::writeComment$
    {76, 718, 972},	// QXmlStreamWriter::writeCurrentToken#
    {76, 720, 956},	// QXmlStreamWriter::writeDTD$
    {76, 722, 965},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 724, 957},	// QXmlStreamWriter::writeEmptyElement$
    {76, 725, 958},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 726, 961},	// QXmlStreamWriter::writeEndDocument
    {76, 727, 962},	// QXmlStreamWriter::writeEndElement
    {76, 729, 963},	// QXmlStreamWriter::writeEntityReference$
    {76, 731, 974},	// QXmlStreamWriter::writeNamespace$
    {76, 732, 964},	// QXmlStreamWriter::writeNamespace$$
    {76, 734, 975},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 735, 966},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 736, 967},	// QXmlStreamWriter::writeStartDocument
    {76, 737, 968},	// QXmlStreamWriter::writeStartDocument$
    {76, 738, 969},	// QXmlStreamWriter::writeStartDocument$$
    {76, 740, 970},	// QXmlStreamWriter::writeStartElement$
    {76, 741, 971},	// QXmlStreamWriter::writeStartElement$$
    {76, 743, 959},	// QXmlStreamWriter::writeTextElement$$
    {76, 744, 960},	// QXmlStreamWriter::writeTextElement$$$
    {76, 776, 976},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 977,
        __smokeqtxml::methodMaps, 687,
        __smokeqtxml::methodNames, 776,
        __smokeqtxml::types, 357,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
